将设为首页浏览此站
开启辅助访问 天气与日历 收藏本站联系我们切换到窄版

易陆发现论坛

 找回密码
 开始注册
查看: 265|回复: 2
收起左侧

Error: Package: python2-qpid-proton-0.26.0-2.el7.x86_64 (centos-openstack-train)

[复制链接]
发表于 2021-12-17 17:58:16 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?开始注册

x
[root@controller1 yum.repos.d]# yum install -y openstack-keystone. {9 ^; y% H* N& N$ J- G
Loaded plugins: fastestmirror
7 ]% [3 u* k$ p( X' b6 bRepository 'ceph-noarch' is missing name in configuration, using id
( U2 y# J( k9 S% ?. M) LLoading mirror speeds from cached hostfile+ U) g3 e" i4 f8 Q3 V
* base: mirrors.bupt.edu.cn
6 J9 {+ E6 ~' |1 G+ t * epel: mirrors.bfsu.edu.cn
  S9 r  y  f7 b4 A# x$ ]9 u- p: K3 @0 [ * extras: mirrors.bupt.edu.cn0 O& `; f  _3 \! C6 s
* updates: mirrors.bupt.edu.cn
* d/ v* B3 Q; MResolving Dependencies
6 V/ |5 n( U/ d! m' K7 V, S8 l/ f( C--> Running transaction check4 G8 W! J- m) S! q& e/ N2 h
---> Package openstack-keystone.noarch 1:16.0.2-1.el7 will be installed: M& c: |+ q' u) _$ t. R  P
--> Processing Dependency: python2-keystone = 1:16.0.2-1.el7 for package: 1:openstack-keystone-16.0.2-1.el7.noarch
8 }$ _+ Y3 R$ Q1 t5 U" f--> Running transaction check) B1 V* R% O; d% G6 x# ]0 d: U! ~
---> Package python2-keystone.noarch 1:16.0.2-1.el7 will be installed! S" r2 h( x0 M2 g1 c, g9 L
--> Processing Dependency: python-ldap >= 3.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch/ v' K. E3 i# M; T- F: G
--> Processing Dependency: python-ldappool >= 2.0.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch  Y0 h; w: y- D, [( c8 [
--> Processing Dependency: python-memcached >= 1.56 for package: 1:python2-keystone-16.0.2-1.el7.noarch1 t9 `4 ]! R/ W% {
--> Processing Dependency: python-migrate >= 0.11.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
- ^( o2 d# d3 {$ s6 N--> Processing Dependency: python-webob >= 1.7.1 for package: 1:python2-keystone-16.0.2-1.el7.noarch
2 s! U$ ^. q# L7 r--> Processing Dependency: python2-flask >= 1.0.2 for package: 1:python2-keystone-16.0.2-1.el7.noarch
& Q$ a$ l4 |* D" T--> Processing Dependency: python2-flask-restful >= 0.3.5 for package: 1:python2-keystone-16.0.2-1.el7.noarch
& _' w3 e1 S7 M) z/ z--> Processing Dependency: python2-keystonemiddleware >= 7.0.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
  F2 \2 b! z- _3 B& J--> Processing Dependency: python2-oauthlib >= 0.6.2 for package: 1:python2-keystone-16.0.2-1.el7.noarch+ ~/ d% h: S. Z5 p4 Q. P8 ~
--> Processing Dependency: python2-oslo-cache >= 1.26.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
  W" a, U+ T- v7 v8 e( w9 H% m0 N--> Processing Dependency: python2-oslo-concurrency >= 3.26.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch2 D, Y( t, w+ i$ @' q# Z: Z
--> Processing Dependency: python2-oslo-db >= 4.27.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch7 z* `" ?, k6 S& ~  n3 |8 v9 K
--> Processing Dependency: python2-oslo-messaging >= 5.29.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch& N$ ^4 c1 u$ @1 g1 @
--> Processing Dependency: python2-oslo-middleware >= 3.31.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
8 O! L, o" j0 m$ _; {--> Processing Dependency: python2-oslo-policy >= 2.3.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
* h  z3 l% \3 a--> Processing Dependency: python2-oslo-upgradecheck >= 0.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
2 x+ n7 v8 s. Q( I--> Processing Dependency: python2-osprofiler >= 1.4.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
# ]# l; E$ U; e8 V--> Processing Dependency: python2-passlib >= 1.7.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch# v+ f4 `* I7 ~: }8 I2 V
--> Processing Dependency: python2-pycadf >= 2.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch# Z: {3 R: U* e$ S8 c  O) b
--> Processing Dependency: python2-pysaml2 >= 4.5.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch& |; Y6 N' b% T' t
--> Processing Dependency: python2-scrypt >= 0.8.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
+ K* T+ h; E8 K$ u; O/ g4 @6 V--> Processing Dependency: python2-sqlalchemy >= 1.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
3 k/ p$ k: W  z! r--> Processing Dependency: python2-jwt for package: 1:python2-keystone-16.0.2-1.el7.noarch7 e9 }# a, B6 `  d- _1 g/ o  b
--> Running transaction check
! y0 @% X/ S9 s" r---> Package python-jwt.noarch 0:1.5.3-1.el7 will be obsoleted! r" A5 a7 i" a% w! B- t
---> Package python-memcached.noarch 0:1.48-4.el7 will be updated
& }% I9 S+ G$ w) V$ ~---> Package python-memcached.noarch 0:1.58-1.el7 will be an update# Z1 |6 ^4 X/ ~' x$ L( |
---> Package python-migrate.noarch 0:0.11.0-1.el7 will be installed: [7 |0 t1 S- c. H; [
--> Processing Dependency: python-sqlparse for package: python-migrate-0.11.0-1.el7.noarch
" S; w# ~! P5 j# S. f. d  z" P---> Package python-webob.noarch 0:1.2.3-7.el7 will be obsoleted7 l# @/ I9 F$ L' N$ D: v& Q
---> Package python2-flask.noarch 1:1.0.2-1.el7 will be installed) @, `2 I  }! @3 z0 C
--> Processing Dependency: python-click for package: 1:python2-flask-1.0.2-1.el7.noarch
: _" I; W' `% a; S--> Processing Dependency: python-itsdangerous for package: 1:python2-flask-1.0.2-1.el7.noarch& t! B  d# u2 F- N+ D
--> Processing Dependency: python-jinja2 for package: 1:python2-flask-1.0.2-1.el7.noarch
! Q  d  W7 r0 m---> Package python2-flask-restful.noarch 0:0.3.6-7.el7 will be installed2 _2 V4 c( Q5 O  D+ ]- O* o
--> Processing Dependency: python-aniso8601 for package: python2-flask-restful-0.3.6-7.el7.noarch
/ i4 q  R" e. H, W6 e---> Package python2-jwt.noarch 0:1.6.1-1.el7 will be obsoleting
6 g2 V$ }  V/ R. {1 x. a: M" o---> Package python2-keystonemiddleware.noarch 0:7.0.1-2.el7 will be installed' Z3 X) H/ e9 g% `7 j2 _" ?, b. _
---> Package python2-ldap.x86_64 0:3.1.0-1.el7 will be installed
, U* T+ v0 u  w4 g1 M--> Processing Dependency: python2-pyasn1 >= 0.3.7 for package: python2-ldap-3.1.0-1.el7.x86_64" Q( V% a9 n0 _( d: E) Q9 b# \
--> Processing Dependency: python2-pyasn1-modules >= 0.1.5 for package: python2-ldap-3.1.0-1.el7.x86_64" Q6 Y  ]+ p* a" X5 {# b' [
---> Package python2-ldappool.noarch 0:2.4.0-2.el7 will be installed" o8 k" l& d) U3 Z0 {: }
---> Package python2-oauthlib.noarch 0:2.0.1-8.el7 will be installed
! q5 D. J, C5 q1 k--> Processing Dependency: python-jwcrypto for package: python2-oauthlib-2.0.1-8.el7.noarch
+ {. F" x' c+ J---> Package python2-oslo-cache.noarch 0:1.37.1-1.el7 will be installed
( z& V; p" h! l1 V3 ]4 m9 ]; E1 G--> Processing Dependency: python-oslo-cache-lang = 1.37.1-1.el7 for package: python2-oslo-cache-1.37.1-1.el7.noarch- p& b' P: w) a4 D& n  d2 K/ M9 J
---> Package python2-oslo-concurrency.noarch 0:3.30.1-1.el7 will be installed
7 e- q3 H# @8 B9 F/ Z7 ?  m--> Processing Dependency: python-oslo-concurrency-lang = 3.30.1-1.el7 for package: python2-oslo-concurrency-3.30.1-1.el7.noarch
: ]4 U+ e- n1 ~( W--> Processing Dependency: python2-fasteners for package: python2-oslo-concurrency-3.30.1-1.el7.noarch, k7 Q( j2 k' B2 ^/ I$ f% |
---> Package python2-oslo-db.noarch 0:5.0.2-2.el7 will be installed$ g5 ?3 o7 O3 o/ G& v- N7 I
--> Processing Dependency: python-oslo-db-lang = 5.0.2-2.el7 for package: python2-oslo-db-5.0.2-2.el7.noarch3 o$ d! U! X; T' k
--> Processing Dependency: python-alembic >= 0.9.6 for package: python2-oslo-db-5.0.2-2.el7.noarch
% w, y- N+ x( s! m& A--> Processing Dependency: python2-PyMySQL for package: python2-oslo-db-5.0.2-2.el7.noarch
4 B  n( A0 a2 N* S; k) v---> Package python2-oslo-messaging.noarch 0:10.2.4-1.el7 will be installed8 ]8 c9 ]2 R7 d- t* |  _2 i" D
--> Processing Dependency: python2-amqp >= 2.4.1 for package: python2-oslo-messaging-10.2.4-1.el7.noarch4 E( c- F* Q8 t: L7 @: a: O8 x! x2 N
--> Processing Dependency: python2-futurist >= 1.2.0 for package: python2-oslo-messaging-10.2.4-1.el7.noarch
; A; R- t2 G  U  h& W3 X3 o--> Processing Dependency: python2-kombu >= 1:4.0.0 for package: python2-oslo-messaging-10.2.4-1.el7.noarch6 S$ g, K; U. E
--> Processing Dependency: python2-oslo-service >= 1.24.0 for package: python2-oslo-messaging-10.2.4-1.el7.noarch* _8 z, \( z  l4 {: P( {- B
--> Processing Dependency: python-pyngus for package: python2-oslo-messaging-10.2.4-1.el7.noarch/ N' l& y! D. B, X& R6 V$ |2 W
--> Processing Dependency: python2-cachetools for package: python2-oslo-messaging-10.2.4-1.el7.noarch  m/ I& f- Y' h) a
--> Processing Dependency: python2-eventlet for package: python2-oslo-messaging-10.2.4-1.el7.noarch
# ]/ K$ d9 H  f( I: M0 E0 i---> Package python2-oslo-middleware.noarch 0:3.38.1-2.el7 will be installed
5 G4 O0 }. w/ ]" k+ R--> Processing Dependency: python-oslo-middleware-lang = 3.38.1-2.el7 for package: python2-oslo-middleware-3.38.1-2.el7.noarch
5 u! Z' ^4 m8 {, {9 u) @  }--> Processing Dependency: python2-statsd for package: python2-oslo-middleware-3.38.1-2.el7.noarch9 m9 V, L2 ]5 Y8 H) n% T
---> Package python2-oslo-policy.noarch 0:2.3.4-1.el7 will be installed
8 g6 |9 m( v# {--> Processing Dependency: python-oslo-policy-lang = 2.3.4-1.el7 for package: python2-oslo-policy-2.3.4-1.el7.noarch
3 j0 Q3 n' N8 s8 z- m---> Package python2-oslo-upgradecheck.noarch 0:0.3.2-1.el7 will be installed0 B) t, x6 |8 D' O
---> Package python2-osprofiler.noarch 0:2.8.2-1.el7 will be installed
& x1 a% ^& p; [  v4 F- }6 O7 |  \---> Package python2-passlib.noarch 0:1.7.1-1.el7 will be installed# k/ Z1 F' G9 f2 d( B* O
---> Package python2-pycadf.noarch 0:2.10.0-2.el7 will be installed: \3 r1 g* d/ U+ l5 f8 |/ x
--> Processing Dependency: python-pycadf-common = 2.10.0-2.el7 for package: python2-pycadf-2.10.0-2.el7.noarch
8 N: K3 Y/ W* Z3 ^" u& |5 y. J---> Package python2-pysaml2.noarch 0:4.6.5-1.el7 will be installed
- f3 t1 N+ r7 p- _$ e) b4 |5 |2 K--> Processing Dependency: python2-defusedxml for package: python2-pysaml2-4.6.5-1.el7.noarch2 y9 R  p# u6 Y* M& w
--> Processing Dependency: python2-future for package: python2-pysaml2-4.6.5-1.el7.noarch+ I- e: Z% z) r: i3 {4 z9 W
---> Package python2-scrypt.x86_64 0:0.8.0-2.el7 will be installed, L* T* {; {0 ?  d0 O3 U
---> Package python2-sqlalchemy.x86_64 0:1.2.17-2.el7 will be installed6 i# a% ]" A& Z: n& V7 {6 T
---> Package python2-webob.noarch 0:1.8.5-1.el7 will be obsoleting
$ A' ~" ^8 i. g--> Running transaction check0 m% Y8 a2 @* C1 z/ g7 B& R+ u( c% [' u
---> Package python-aniso8601.noarch 0:0.82-3.el7 will be installed" b0 `- S  _- {; ~
---> Package python-jwcrypto.noarch 0:0.4.2-1.el7 will be installed, E. Y; _7 w4 r
---> Package python-oslo-cache-lang.noarch 0:1.37.1-1.el7 will be installed3 a2 V4 W% N( S
---> Package python-oslo-concurrency-lang.noarch 0:3.30.1-1.el7 will be installed
8 ^, a! K) \) t! n: X---> Package python-oslo-db-lang.noarch 0:5.0.2-2.el7 will be installed7 R2 t( o1 l+ o) t+ A( t3 K4 D
---> Package python-oslo-middleware-lang.noarch 0:3.38.1-2.el7 will be installed
; g1 {! C6 ^2 d---> Package python-oslo-policy-lang.noarch 0:2.3.4-1.el7 will be installed
( ~& Q- H9 u& h, ~---> Package python-pycadf-common.noarch 0:2.10.0-2.el7 will be installed4 d5 u! }& R8 [2 Y
---> Package python-pyngus.noarch 0:2.0.3-3.el7 will be installed; R: q! \, S$ S- ~
--> Processing Dependency: python-qpid-proton >= 0.13.0 for package: python-pyngus-2.0.3-3.el7.noarch
" y6 i( h; }% f( B& D6 R; ?! H--> Processing Dependency: qpid-proton-c >= 0.13.0 for package: python-pyngus-2.0.3-3.el7.noarch6 \: n: h5 R6 g% G- m7 M/ x& y
---> Package python-sqlparse.noarch 0:0.1.18-5.el7 will be installed
, M5 u- j% ~( Q% m" ?- A( m7 O  l---> Package python2-PyMySQL.noarch 0:0.9.3-1.el7 will be installed
$ D9 y* Z: r/ c5 x---> Package python2-alembic.noarch 0:1.0.7-1.el7 will be installed3 r; v' w4 N% K6 ~
--> Processing Dependency: python-editor for package: python2-alembic-1.0.7-1.el7.noarch  s6 e) J0 ?) x% w' D4 p% f
---> Package python2-amqp.noarch 0:2.4.1-1.el7 will be installed
" R+ K7 X; H- H9 ]" R9 r--> Processing Dependency: python2-vine >= 1.1.3 for package: python2-amqp-2.4.1-1.el7.noarch9 \! L# W7 E; J% k# K, @! q
---> Package python2-cachetools.noarch 0:3.1.0-1.el7 will be installed
- u7 A0 ~7 b$ q4 |---> Package python2-click.noarch 0:6.7-8.el7 will be installed1 A3 K$ z+ F  T! g" W* U5 P5 `: {7 w- {
---> Package python2-defusedxml.noarch 0:0.5.0-2.el7 will be installed
" e6 ]6 d: p( A  m6 h4 q---> Package python2-eventlet.noarch 0:0.25.1-1.el7 will be installed- |) X' B. d% m- B! A. u% U
--> Processing Dependency: python2-dns for package: python2-eventlet-0.25.1-1.el7.noarch6 \% Q. K) Y* X. @; d( F
--> Processing Dependency: python2-greenlet for package: python2-eventlet-0.25.1-1.el7.noarch
# x9 J4 W4 K/ [2 G' M9 p# Q& \---> Package python2-fasteners.noarch 0:0.14.1-6.el7 will be installed
6 U+ o, q: a( {/ F( Z3 U' P---> Package python2-future.noarch 0:0.18.2-2.el7 will be installed( j/ X* x; ~  u; r2 z! H* b$ [
---> Package python2-futurist.noarch 0:1.9.0-2.el7 will be installed
5 r' R% v. ^8 i! g6 z3 E; @  ~; g---> Package python2-itsdangerous.noarch 0:0.24-14.el7 will be installed
! u+ H- W4 C& ~0 k( Y- m---> Package python2-jinja2.noarch 0:2.10.1-1.el7 will be installed
: @3 Z1 p5 S  O2 h1 R) M4 p: w--> Processing Dependency: python2-markupsafe >= 0.23 for package: python2-jinja2-2.10.1-1.el7.noarch
" P' v" T; F8 n3 `& n1 ]/ T---> Package python2-kombu.noarch 1:4.6.3-3.el7 will be installed. q+ \! R& k6 C
---> Package python2-oslo-service.noarch 0:1.40.2-2.el7 will be installed
6 T9 E2 Q4 E$ v' C. _--> Processing Dependency: python-paste-deploy >= 1.5.0 for package: python2-oslo-service-1.40.2-2.el7.noarch0 G) j3 k  o. r$ b  ?+ v/ h/ o( k  I
--> Processing Dependency: python2-routes for package: python2-oslo-service-1.40.2-2.el7.noarch
( u# R8 P( i1 }# ?" s3 y! y--> Processing Dependency: python2-yappi for package: python2-oslo-service-1.40.2-2.el7.noarch& P8 K6 e6 u0 y9 z8 Q, A
---> Package python2-pyasn1.noarch 0:0.1.9-7.el7 will be updated3 m9 U" e* U* W5 s
---> Package python2-pyasn1.noarch 0:0.3.7-6.el7 will be an update: H4 i' h9 {( j$ l# I% X
---> Package python2-pyasn1-modules.noarch 0:0.3.7-6.el7 will be installed
& K1 {8 M9 e4 R: U* c---> Package python2-statsd.noarch 0:3.2.1-5.el7 will be installed8 D- c1 \+ B8 @2 M! K8 s; V) t
--> Running transaction check
. V" P8 j) h; H4 t) [) Q/ p. ?---> Package python-editor.noarch 0:0.4-4.el7 will be installed
! v" ]0 Y) |. h& ?6 o' f" j---> Package python-markupsafe.x86_64 0:0.11-10.el7 will be obsoleted
3 R$ ]1 ^9 \% j/ f8 r---> Package python-paste-deploy.noarch 0:1.5.2-6.el7 will be installed
5 ^0 `6 M# M# p$ |7 @---> Package python-routes.noarch 0:1.13-2.el7 will be updated) w' W2 }! `' I1 }7 r& z: A# R
---> Package python-routes.noarch 0:2.4.1-1.el7 will be an update
4 `( s8 E$ N9 P" S- b. F4 y0 X! m---> Package python2-dns.noarch 0:1.12.0-0.el7 will be installed( ~' S: Q- N( v" Y# M0 Y3 p; K
--> Processing Dependency: python-dns >= 1.12.0 for package: python2-dns-1.12.0-0.el7.noarch1 c8 h/ U+ c3 `
---> Package python2-greenlet.x86_64 0:0.4.12-1.el7 will be installed
$ A* \  y3 t7 _+ ~, J  j; m9 L---> Package python2-markupsafe.x86_64 0:1.1.0-2.el7 will be obsoleting  Z* Q! s' |% B
---> Package python2-qpid-proton.x86_64 0:0.26.0-2.el7 will be installed
; E. Z1 G+ c3 T! ^7 @: ?8 N- D$ ]5 k' E--> Processing Dependency: qpid-proton-c(x86-64) = 0.26.0-2.el7 for package: python2-qpid-proton-0.26.0-2.el7.x86_64
. ^) v' n" U7 A- t; h; d2 [+ X5 K---> Package python2-vine.noarch 0:1.2.0-2.el7 will be installed
6 C, `+ T, H4 |, \' s1 P; F# J---> Package python2-yappi.x86_64 0:1.0-1.el7 will be installed9 ~  x& g. C6 J& F3 U- C
---> Package qpid-proton-c.x86_64 0:0.35.0-1.el7 will be installed) N$ u- d  F  k! r$ r
--> Running transaction check
5 ?! C* S8 b" A/ P+ i---> Package python-dns.noarch 0:1.15.0-5.el7 will be installed
# [7 c- `% Z! _--> Processing Dependency: python-crypto for package: python-dns-1.15.0-5.el7.noarch
$ A: a. @/ m, _% ~---> Package python2-qpid-proton.x86_64 0:0.26.0-2.el7 will be installed+ J' @7 U$ v$ E9 Y& z( O0 t
--> Processing Dependency: qpid-proton-c(x86-64) = 0.26.0-2.el7 for package: python2-qpid-proton-0.26.0-2.el7.x86_642 R6 K2 b6 b* t/ i" Y/ @( h8 D
--> Running transaction check
' t$ {& I. N; H2 r. |/ r/ e---> Package python2-crypto.x86_64 0:2.6.1-16.el7 will be installed
* L% T+ g5 B+ k--> Processing Dependency: libtomcrypt.so.0()(64bit) for package: python2-crypto-2.6.1-16.el7.x86_649 j% ^+ r+ R+ d# n2 h" u0 B
---> Package python2-qpid-proton.x86_64 0:0.26.0-2.el7 will be installed
" S; i9 ~. c! C# M3 f# b* y/ ]1 w2 ^2 E--> Processing Dependency: qpid-proton-c(x86-64) = 0.26.0-2.el7 for package: python2-qpid-proton-0.26.0-2.el7.x86_64
/ Q% l3 g6 m: O' p2 P8 V) O% c--> Running transaction check
0 a' ]/ [+ d0 d! k; i' W---> Package libtomcrypt.x86_64 0:1.17-26.el7 will be installed
" b' v1 X2 P& m% b$ \: M, L--> Processing Dependency: libtommath >= 0.42.0 for package: libtomcrypt-1.17-26.el7.x86_64
* G* K/ L! `/ |4 G( R) N--> Processing Dependency: libtommath.so.0()(64bit) for package: libtomcrypt-1.17-26.el7.x86_64
. I' n& V4 \  M& c) H( M) q2 G---> Package python2-qpid-proton.x86_64 0:0.26.0-2.el7 will be installed) `0 D* ]1 D8 ~$ S1 r( J. {/ b
--> Processing Dependency: qpid-proton-c(x86-64) = 0.26.0-2.el7 for package: python2-qpid-proton-0.26.0-2.el7.x86_64
% D+ L- R7 |! E' g# y4 c  F0 ^5 U--> Running transaction check
) h! p9 q, ^2 ~4 Q1 C% Y---> Package libtommath.x86_64 0:0.42.0-6.el7 will be installed
1 n  t. e; b: q: J( |/ \---> Package python2-qpid-proton.x86_64 0:0.26.0-2.el7 will be installed# I% |# j8 `- {9 j, C* E& O& q
--> Processing Dependency: qpid-proton-c(x86-64) = 0.26.0-2.el7 for package: python2-qpid-proton-0.26.0-2.el7.x86_64$ U6 @; M! I5 S. w  n
--> Finished Dependency Resolution
" D7 Q' t8 n0 l1 nError: Package: python2-qpid-proton-0.26.0-2.el7.x86_64 (centos-openstack-train)
, o( _+ N4 s% q0 |           Requires: qpid-proton-c(x86-64) = 0.26.0-2.el7
( a0 P4 j; y" g$ H           Available: qpid-proton-c-0.14.0-2.el7.x86_64 (extras)$ L! k+ u' e9 b
               qpid-proton-c(x86-64) = 0.14.0-2.el7
, ^! r* V7 H  |$ j. \           Available: qpid-proton-c-0.26.0-2.el7.x86_64 (centos-openstack-train)# V: m4 ?2 l# G9 J
               qpid-proton-c(x86-64) = 0.26.0-2.el77 ]( J7 _2 H; k
           Installing: qpid-proton-c-0.35.0-1.el7.x86_64 (epel)( C8 _, b1 M7 [# H: G8 x8 Z
               qpid-proton-c(x86-64) = 0.35.0-1.el7
  l, F' a) h7 M You could try using --skip-broken to work around the problem, |5 B5 m, U( F1 f, I) w
You could try running: rpm -Va --nofiles --nodigest4 X# ?2 I# W5 T$ M4 R' l
% ^& G) ?: {4 H/ _
6 B# c" F) S; F" ]  U8 w9 @
; g9 m6 c3 k& z% C0 O* a7 Z+ ^

( P# Z- Q/ O' H/ z- ^! _: t1 o" ]5 V; B; F

% ?$ A2 U( j" t; u0 ]; g: z6 h[root@controller1 yum.repos.d]#  yum remove qpid-proton-c
! R6 p  p' W% P5 h9 |8 X# M/ BLoaded plugins: fastestmirror
( A) F6 ^8 _) ^% X4 ~9 T5 JRepository 'ceph-noarch' is missing name in configuration, using id
  ^3 D: @# F: t+ T% PNo Match for argument: qpid-proton-c, [: f3 H4 k5 R* T; Y! [  R
No Packages marked for removal
! l; \$ e, V: |7 f[root@controller1 yum.repos.d]#  yum remove qpid-proton-c
7 |* b# Q9 M9 a# U, BLoaded plugins: fastestmirror/ m+ }# E# q  ?3 V* `
Repository 'ceph-noarch' is missing name in configuration, using id3 I9 {1 y2 G% w4 v' [1 Z9 ]+ G, V
No Match for argument: qpid-proton-c
5 e+ |8 ~) L5 z1 w! G4 xNo Packages marked for removal
' c9 |+ Q& h  {  e: _[root@controller1 yum.repos.d]# ls
! L" B6 ]5 [- C# s. E: pCentOS-Base.repo           CentOS-Debuginfo.repo  CentOS-NFS-Ganesha-28.repo   CentOS-Sources.repo         CentOS-x86_64-kernel.repo  epel-testing.repo( M* k! G9 M' F/ a6 c
CentOS-Ceph-Nautilus.repo  CentOS-fasttrack.repo  CentOS-OpenStack-train.repo  CentOS-Storage-common.repo  ceph.repo
( E  V3 M  k! q! H/ LCentOS-CR.repo             CentOS-Media.repo      CentOS-QEMU-EV.repo          CentOS-Vault.repo           epel.repo) m2 V* r) t, j: R3 i
[root@controller1 yum.repos.d]# vim ceph.repo
; g/ H5 |+ A7 F0 [$ m$ o- O+ t! V2 q$ F1 e: r
# A( X1 i/ O. |: k; O
) j+ e0 m5 m) d

+ a& i0 D4 Z8 g6 Q* D( @" u8 n; T( u: D# y8 g0 z. k

/ p/ G' p$ x5 h6 O, O怀疑是不是epel.repo& _6 T: r$ B5 W
导致出现了冲突了,移出掉吧:% d* Y3 `$ K. r) n4 H# A/ y4 s
+ t$ q3 ?7 K( l# u3 r1 N& L
[root@controller1 yum.repos.d]# mv epel.repo epel.repo.bak8 y/ @/ ^) s" H
$ q. m4 D. E, A# \! o" }
6 M8 |* \0 ~! F6 t: H
再次尝试安装:; r0 u# b5 j) ]( P/ ?' P  ?
[root@controller1 yum.repos.d]# yum install -y openstack-keystone
) }" X& q8 C2 f% B* V& SLoaded plugins: fastestmirror
! r4 G6 M/ q* _# R. ~9 cRepository 'ceph-noarch' is missing name in configuration, using id5 J6 x! m/ H6 j# w: S2 ]
Loading mirror speeds from cached hostfile
6 V8 P7 t! X  Z! B' t* G: P% y( x * base: mirrors.bupt.edu.cn
! l7 }' F5 E% r  P# R+ a( {! P9 g * extras: mirrors.bupt.edu.cn( c# Y2 z9 _" L5 C* E3 f- d4 D- ~
* updates: mirrors.bupt.edu.cn
, Y) g+ ]2 i& C0 I2 m9 sResolving Dependencies
: k( B! c. f; h- F; ~: @- w--> Running transaction check5 l5 Z0 z5 M( A; |0 T
---> Package openstack-keystone.noarch 1:16.0.2-1.el7 will be installed. Y# M$ G1 ^) K# K- a7 j" A4 @
--> Processing Dependency: python2-keystone = 1:16.0.2-1.el7 for package: 1:openstack-keystone-16.0.2-1.el7.noarch
: m* x1 }, z0 i--> Running transaction check
, g- f9 b& G! ]4 u; M. W---> Package python2-keystone.noarch 1:16.0.2-1.el7 will be installed
2 Y! k9 b  Y* {- L& ^6 y--> Processing Dependency: python-ldap >= 3.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch' ^9 `6 W; V7 ^& x
--> Processing Dependency: python-ldappool >= 2.0.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
8 S! t+ _4 q0 S8 Y  P9 O2 L8 F' B--> Processing Dependency: python-memcached >= 1.56 for package: 1:python2-keystone-16.0.2-1.el7.noarch! I& D5 I# p$ m
--> Processing Dependency: python-migrate >= 0.11.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch" V$ y6 S' {0 Z  D
--> Processing Dependency: python-webob >= 1.7.1 for package: 1:python2-keystone-16.0.2-1.el7.noarch
/ X" B- o5 `; S) }6 o: K9 G  _--> Processing Dependency: python2-flask >= 1.0.2 for package: 1:python2-keystone-16.0.2-1.el7.noarch% E' P) g* p; z& F, f
--> Processing Dependency: python2-flask-restful >= 0.3.5 for package: 1:python2-keystone-16.0.2-1.el7.noarch) q6 ~8 o9 y& P! b8 u
--> Processing Dependency: python2-keystonemiddleware >= 7.0.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch# D, {9 D9 c! u0 x" m
--> Processing Dependency: python2-oauthlib >= 0.6.2 for package: 1:python2-keystone-16.0.2-1.el7.noarch
* ?' F' K* |7 |/ d--> Processing Dependency: python2-oslo-cache >= 1.26.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
, O1 C# w' U7 B$ s8 U--> Processing Dependency: python2-oslo-concurrency >= 3.26.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch$ a9 q" x# L& d' w4 L
--> Processing Dependency: python2-oslo-db >= 4.27.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch+ Y& f, D! Y% n6 y( j
--> Processing Dependency: python2-oslo-messaging >= 5.29.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
1 }" j3 v+ q4 t--> Processing Dependency: python2-oslo-middleware >= 3.31.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch* ]& |. j! c; D! _+ W5 T
--> Processing Dependency: python2-oslo-policy >= 2.3.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch6 p" v0 H1 s; s
--> Processing Dependency: python2-oslo-upgradecheck >= 0.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch3 N& j0 L" N  {
--> Processing Dependency: python2-osprofiler >= 1.4.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
; m/ U3 U" }# `. C--> Processing Dependency: python2-passlib >= 1.7.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
3 i5 g6 _: l/ Q: ~--> Processing Dependency: python2-pycadf >= 2.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
/ ^9 T: F2 m+ A" J5 b, l7 @--> Processing Dependency: python2-pysaml2 >= 4.5.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch# B+ ]8 G' J5 W
--> Processing Dependency: python2-scrypt >= 0.8.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
/ L& B# y4 P/ }* Q, Z--> Processing Dependency: python2-sqlalchemy >= 1.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
$ o( I0 ^8 X# `. x# L% w$ o--> Processing Dependency: python2-jwt for package: 1:python2-keystone-16.0.2-1.el7.noarch. c. ~/ w: {, p' {# f
--> Running transaction check( q/ N% F: }/ H# q# k" i
---> Package python-jwt.noarch 0:1.5.3-1.el7 will be obsoleted
( P% n0 j, A: y4 m: S9 l---> Package python-memcached.noarch 0:1.48-4.el7 will be updated# e" @# `# A  f% M/ j" T. b- B
---> Package python-memcached.noarch 0:1.58-1.el7 will be an update
* ~! m% w3 E8 G; c. D$ J---> Package python-migrate.noarch 0:0.11.0-1.el7 will be installed
: Y* K. b  E( E! N* y--> Processing Dependency: python-sqlparse for package: python-migrate-0.11.0-1.el7.noarch
- }- V  ^+ V- }7 A# ]3 A9 Y' D---> Package python-webob.noarch 0:1.2.3-7.el7 will be obsoleted! x7 F' U) y5 \) a: c4 u3 K
---> Package python2-flask.noarch 1:1.0.2-1.el7 will be installed- T; B  I1 w& P
--> Processing Dependency: python-click for package: 1:python2-flask-1.0.2-1.el7.noarch2 ^. a) u  E$ C' k+ h
--> Processing Dependency: python-itsdangerous for package: 1:python2-flask-1.0.2-1.el7.noarch+ s( O2 |6 H8 U9 C
--> Processing Dependency: python-jinja2 for package: 1:python2-flask-1.0.2-1.el7.noarch, ^5 m0 G8 ]  `" W, ], k
---> Package python2-flask-restful.noarch 0:0.3.6-7.el7 will be installed
% m, [$ V9 D3 n--> Processing Dependency: python-aniso8601 for package: python2-flask-restful-0.3.6-7.el7.noarch
6 U& L& M& J0 s8 [, [, m---> Package python2-jwt.noarch 0:1.6.1-1.el7 will be obsoleting7 |( m8 c3 ~3 @' G0 `2 ^- m
---> Package python2-keystonemiddleware.noarch 0:7.0.1-2.el7 will be installed! c9 X& P' Q! E
---> Package python2-ldap.x86_64 0:3.1.0-1.el7 will be installed
3 ~( y9 W3 s# D% q% x5 j) P6 K--> Processing Dependency: python2-pyasn1 >= 0.3.7 for package: python2-ldap-3.1.0-1.el7.x86_64
+ u8 f. q  e  U--> Processing Dependency: python2-pyasn1-modules >= 0.1.5 for package: python2-ldap-3.1.0-1.el7.x86_64* r7 x1 v/ j8 f% c6 H
---> Package python2-ldappool.noarch 0:2.4.0-2.el7 will be installed2 J4 x+ ^! T# t& m/ F9 ~* f8 A
---> Package python2-oauthlib.noarch 0:2.0.1-8.el7 will be installed
- `4 V. u2 m- s9 o& m5 |--> Processing Dependency: python-jwcrypto for package: python2-oauthlib-2.0.1-8.el7.noarch" G; u6 x3 e# ?6 L- `
---> Package python2-oslo-cache.noarch 0:1.37.1-1.el7 will be installed
- v- k6 m4 S9 d% |$ ?) L: T, f6 t--> Processing Dependency: python-oslo-cache-lang = 1.37.1-1.el7 for package: python2-oslo-cache-1.37.1-1.el7.noarch
" D" W: ?8 P2 J4 f2 Q% s1 Q---> Package python2-oslo-concurrency.noarch 0:3.30.1-1.el7 will be installed) N$ m* m9 X& A
--> Processing Dependency: python-oslo-concurrency-lang = 3.30.1-1.el7 for package: python2-oslo-concurrency-3.30.1-1.el7.noarch
6 v! g" A0 L/ M0 X--> Processing Dependency: python2-fasteners for package: python2-oslo-concurrency-3.30.1-1.el7.noarch
0 S* ]$ ?4 C2 `- {* @% A  S---> Package python2-oslo-db.noarch 0:5.0.2-2.el7 will be installed
% o7 h7 Y" D5 e- D1 y% {7 ]4 \--> Processing Dependency: python-oslo-db-lang = 5.0.2-2.el7 for package: python2-oslo-db-5.0.2-2.el7.noarch
# ~  W0 m4 ~3 N& _* \& r--> Processing Dependency: python-alembic >= 0.9.6 for package: python2-oslo-db-5.0.2-2.el7.noarch2 S8 s7 m' i  H5 `$ R
--> Processing Dependency: python2-PyMySQL for package: python2-oslo-db-5.0.2-2.el7.noarch0 e1 n/ z0 \0 c
---> Package python2-oslo-messaging.noarch 0:10.2.4-1.el7 will be installed) N' B, \, l6 h: {
--> Processing Dependency: python2-amqp >= 2.4.1 for package: python2-oslo-messaging-10.2.4-1.el7.noarch
# J6 R4 `4 X) y4 A. a; ~2 v2 u--> Processing Dependency: python2-futurist >= 1.2.0 for package: python2-oslo-messaging-10.2.4-1.el7.noarch
# G) [8 q" l/ N2 L9 }--> Processing Dependency: python2-kombu >= 1:4.0.0 for package: python2-oslo-messaging-10.2.4-1.el7.noarch' n4 h( ?, b3 _& [/ u. W
--> Processing Dependency: python2-oslo-service >= 1.24.0 for package: python2-oslo-messaging-10.2.4-1.el7.noarch7 T; d! ]( z/ i6 l
--> Processing Dependency: python-pyngus for package: python2-oslo-messaging-10.2.4-1.el7.noarch. ^% s( J& B6 K; p
--> Processing Dependency: python2-cachetools for package: python2-oslo-messaging-10.2.4-1.el7.noarch
, a7 l5 Z6 j  A3 V6 V; S4 w* |--> Processing Dependency: python2-eventlet for package: python2-oslo-messaging-10.2.4-1.el7.noarch
: N. }0 d  W+ q/ y9 S---> Package python2-oslo-middleware.noarch 0:3.38.1-2.el7 will be installed
! ^2 ~6 p2 U5 L5 h: o--> Processing Dependency: python-oslo-middleware-lang = 3.38.1-2.el7 for package: python2-oslo-middleware-3.38.1-2.el7.noarch
! g8 S: L/ D& Y, P0 x" Z3 e--> Processing Dependency: python2-statsd for package: python2-oslo-middleware-3.38.1-2.el7.noarch# V- s) v8 e; y% @/ R; j
---> Package python2-oslo-policy.noarch 0:2.3.4-1.el7 will be installed
; x/ v3 K  @% O- f7 D! M--> Processing Dependency: python-oslo-policy-lang = 2.3.4-1.el7 for package: python2-oslo-policy-2.3.4-1.el7.noarch
+ N1 x) [' q: p; y/ o( ^4 c---> Package python2-oslo-upgradecheck.noarch 0:0.3.2-1.el7 will be installed
$ D) h/ {: s9 C7 K- ^, |* q; h---> Package python2-osprofiler.noarch 0:2.8.2-1.el7 will be installed4 V! l& L6 ?# ^
---> Package python2-passlib.noarch 0:1.7.0-4.el7 will be installed
4 `# P& j; m& R; }% h0 U5 T---> Package python2-pycadf.noarch 0:2.10.0-2.el7 will be installed
# F3 t2 ~6 X7 S' o--> Processing Dependency: python-pycadf-common = 2.10.0-2.el7 for package: python2-pycadf-2.10.0-2.el7.noarch7 {, {5 x: b- B$ Z+ [
---> Package python2-pysaml2.noarch 0:4.6.5-1.el7 will be installed
6 Y0 [0 s  N( k' e/ z$ q5 r  J% D& J0 M--> Processing Dependency: python2-defusedxml for package: python2-pysaml2-4.6.5-1.el7.noarch
. u3 w9 m5 [$ P5 h% f+ X--> Processing Dependency: python2-future for package: python2-pysaml2-4.6.5-1.el7.noarch8 M/ ?" P, K& c' |5 ?5 @, `
---> Package python2-scrypt.x86_64 0:0.8.0-2.el7 will be installed
2 b* ]8 \3 ?' l2 V' a) c---> Package python2-sqlalchemy.x86_64 0:1.2.17-2.el7 will be installed( k1 o6 |7 c7 {/ ?1 N
---> Package python2-webob.noarch 0:1.8.5-1.el7 will be obsoleting- m' v' M, T- H" I
--> Running transaction check6 @* c5 D7 s* L& _
---> Package python-aniso8601.noarch 0:0.82-3.el7 will be installed
8 C# g- r, y5 D" r" V5 l- L---> Package python-click.noarch 0:6.3-1.el7 will be installed
7 }, x& V. n1 T---> Package python-jwcrypto.noarch 0:0.4.2-1.el7 will be installed" }8 k# j& e( @( w3 |  u
---> Package python-oslo-cache-lang.noarch 0:1.37.1-1.el7 will be installed$ o0 i- g+ K+ R, c3 I( Z9 Z
---> Package python-oslo-concurrency-lang.noarch 0:3.30.1-1.el7 will be installed
* I% H8 F- X4 @& ?1 }2 o+ I---> Package python-oslo-db-lang.noarch 0:5.0.2-2.el7 will be installed( c! o7 H  u7 U" a( N4 K8 |# K
---> Package python-oslo-middleware-lang.noarch 0:3.38.1-2.el7 will be installed- P* w+ H) u( J3 q6 f% W
---> Package python-oslo-policy-lang.noarch 0:2.3.4-1.el7 will be installed) q7 Y" d  }+ h9 j5 E; x
---> Package python-pycadf-common.noarch 0:2.10.0-2.el7 will be installed
! [. p+ z: g* r8 I0 Z4 k---> Package python-pyngus.noarch 0:2.0.3-3.el7 will be installed+ G0 L, K3 N" H
--> Processing Dependency: python-qpid-proton >= 0.13.0 for package: python-pyngus-2.0.3-3.el7.noarch
: G! g$ w8 P. W! A7 Q--> Processing Dependency: qpid-proton-c >= 0.13.0 for package: python-pyngus-2.0.3-3.el7.noarch7 T& Q7 Z1 f+ Y' Y( [: s0 F* Y
---> Package python-sqlparse.noarch 0:0.1.18-5.el7 will be installed
0 S4 Q( {" z5 S' \' C---> Package python2-PyMySQL.noarch 0:0.9.2-2.el7 will be installed5 B( e% p/ q* i4 c0 n
---> Package python2-alembic.noarch 0:1.0.7-1.el7 will be installed1 C( t+ X9 B1 f' G/ Z7 F5 T/ T3 d
--> Processing Dependency: python-editor for package: python2-alembic-1.0.7-1.el7.noarch
+ q+ p& K3 A6 {---> Package python2-amqp.noarch 0:2.4.1-1.el7 will be installed, H7 [" W+ j( N3 d7 n0 I
--> Processing Dependency: python2-vine >= 1.1.3 for package: python2-amqp-2.4.1-1.el7.noarch$ I( z& B4 h' y* ]/ V8 B
---> Package python2-cachetools.noarch 0:3.1.0-1.el7 will be installed
4 Z" o6 I' r& b( F( c, y" J---> Package python2-defusedxml.noarch 0:0.5.0-2.el7 will be installed* P8 W: _6 q7 J2 C6 q3 ?
---> Package python2-eventlet.noarch 0:0.25.1-1.el7 will be installed5 v$ j; z4 K/ L4 g1 M5 x4 m7 A/ W$ O
--> Processing Dependency: python2-dns for package: python2-eventlet-0.25.1-1.el7.noarch8 }: V& w! d# n8 k
--> Processing Dependency: python2-greenlet for package: python2-eventlet-0.25.1-1.el7.noarch
. J. M1 M) C  H+ T. N---> Package python2-fasteners.noarch 0:0.14.1-6.el7 will be installed# g5 B  d6 b  g% ]
---> Package python2-future.noarch 0:0.16.0-4.el7 will be installed
* r& L5 J, ^' `: V( d& f! l---> Package python2-futurist.noarch 0:1.9.0-2.el7 will be installed' M+ Y7 p, R" a6 H! V; {
---> Package python2-itsdangerous.noarch 0:0.24-14.el7 will be installed
6 [8 F! D/ ^% V: C---> Package python2-jinja2.noarch 0:2.10.1-1.el7 will be installed% y9 Y+ a6 \2 s9 p& `* X* m
--> Processing Dependency: python2-markupsafe >= 0.23 for package: python2-jinja2-2.10.1-1.el7.noarch
$ `* K( y! ^/ M: |3 l---> Package python2-kombu.noarch 1:4.6.3-3.el7 will be installed" a$ ?- ~6 Q) a: t. B$ S
---> Package python2-oslo-service.noarch 0:1.40.2-2.el7 will be installed
$ @) V4 o# s+ L4 ]--> Processing Dependency: python-paste-deploy >= 1.5.0 for package: python2-oslo-service-1.40.2-2.el7.noarch
( D" x( q$ ]4 }2 g" ]--> Processing Dependency: python2-routes for package: python2-oslo-service-1.40.2-2.el7.noarch
0 G4 P! m5 W! D% Z# i--> Processing Dependency: python2-yappi for package: python2-oslo-service-1.40.2-2.el7.noarch0 a8 w6 x5 d, @" F! P
---> Package python2-pyasn1.noarch 0:0.1.9-7.el7 will be updated
$ Q; @6 v( w0 \5 F% X: r7 W---> Package python2-pyasn1.noarch 0:0.3.7-6.el7 will be an update
% Y* P+ k1 t! P, u0 c* k---> Package python2-pyasn1-modules.noarch 0:0.3.7-6.el7 will be installed+ q- c+ ]% j0 n7 C0 m- m! a9 @
---> Package python2-statsd.noarch 0:3.2.1-5.el7 will be installed
+ Z% t( r9 V4 ?& p7 I--> Running transaction check- a2 `  m- v! O( ]
---> Package python-dns.noarch 0:1.15.0-5.el7 will be installed
( T; [. d# O& n: |+ P--> Processing Dependency: python-crypto for package: python-dns-1.15.0-5.el7.noarch
( Y+ }3 D' ]( N0 K3 i* d3 @---> Package python-editor.noarch 0:0.4-4.el7 will be installed5 i9 l9 O; K. m# p/ s5 ]* S, j4 p
---> Package python-markupsafe.x86_64 0:0.11-10.el7 will be obsoleted0 H5 Y) J' l8 k) m: _& [5 Q2 L
---> Package python-paste-deploy.noarch 0:1.5.2-6.el7 will be installed
' h$ V2 B  O9 G# Q- b---> Package python-routes.noarch 0:1.13-2.el7 will be updated
2 U; _; t. B) B" o1 b( O---> Package python-routes.noarch 0:2.4.1-1.el7 will be an update( ~% W  c6 ^7 g, X; g1 `
---> Package python2-greenlet.x86_64 0:0.4.12-1.el7 will be installed
$ w, K6 O3 u" U# C5 r8 V' f: ^: L---> Package python2-markupsafe.x86_64 0:1.1.0-2.el7 will be obsoleting7 r! N0 K3 z- l; y: t3 G
---> Package python2-qpid-proton.x86_64 0:0.26.0-2.el7 will be installed
4 v. Z, x, c% E; i5 p---> Package python2-vine.noarch 0:1.2.0-2.el7 will be installed" N# j1 R1 ]: h5 ?  ^! h
---> Package python2-yappi.x86_64 0:1.0-1.el7 will be installed
  h+ Z% C# [& ~1 _+ ~---> Package qpid-proton-c.x86_64 0:0.26.0-2.el7 will be installed- i4 F- X3 \  f. w$ Z" w& h7 R
--> Running transaction check
! f5 A( C' [: V---> Package python2-crypto.x86_64 0:2.6.1-15.el7 will be installed- j- D' w1 p$ Q
--> Processing Dependency: libtomcrypt.so.0()(64bit) for package: python2-crypto-2.6.1-15.el7.x86_641 U9 ?+ @" V# c) |
--> Running transaction check
* x* w8 Y( ]9 M, l( W( D+ j---> Package libtomcrypt.x86_64 0:1.17-26.el7 will be installed, M- z; c; V& k, q
--> Processing Dependency: libtommath >= 0.42.0 for package: libtomcrypt-1.17-26.el7.x86_64
$ f  I- L* Z; z--> Processing Dependency: libtommath.so.0()(64bit) for package: libtomcrypt-1.17-26.el7.x86_64/ O  a$ [+ C0 _
--> Running transaction check
. j1 l3 q5 X! v7 D! L---> Package libtommath.x86_64 0:0.42.0-6.el7 will be installed4 g, i( @8 d9 |5 B5 z' E
--> Finished Dependency Resolution
9 \, h5 e+ B3 u* |: K
! T! @- P! G: H; w! W
. p; H" h$ `' s$ d. Q
Dependencies Resolved5 v6 K5 `8 ?, [
! C& B3 \9 c! N' r( m+ Q- ~6 B
6 s# I# K( ^* Y' o" p9 h* X2 O3 v; y
===================================================================================================================================================================
/ d5 Q2 Q; l; e  M5 Q Package                                          Arch                       Version                              Repository                                  Size- `- A1 U5 g- L* P  ~% @3 @
===================================================================================================================================================================
) E4 G& A6 [1 n# _Installing:
% U  L6 C' X. R2 \0 s. c7 I$ V openstack-keystone                               noarch                     1:16.0.2-1.el7                       centos-openstack-train                      78 k
& E; P- U$ Q; p! I' I& z python2-jwt                                      noarch                     1.6.1-1.el7                          centos-openstack-train                      37 k
7 T6 E8 ~1 h% s! }* ?9 `     replacing  python-jwt.noarch 1.5.3-1.el7
. U) C9 M4 f( f0 f5 D python2-markupsafe                               x86_64                     1.1.0-2.el7                          centos-openstack-train                      29 k
+ W- K) @/ O0 P' {& C+ c4 E     replacing  python-markupsafe.x86_64 0.11-10.el7
! A& d9 q: r3 s( d4 O python2-webob                                    noarch                     1.8.5-1.el7                          centos-openstack-train                     246 k; \& f9 s" N" e* `
     replacing  python-webob.noarch 1.2.3-7.el7
/ G% P4 a5 j6 _Installing for dependencies:
$ ?% B/ g; R8 F0 p libtomcrypt                                      x86_64                     1.17-26.el7                          extras                                     224 k1 C% M( T0 W" l' k1 S
libtommath                                       x86_64                     0.42.0-6.el7                         extras                                      36 k4 s4 V: _  \9 k6 U# D6 R
python-aniso8601                                 noarch                     0.82-3.el7                           centos-openstack-train                      31 k
: @/ |4 H/ F8 E; d python-click                                     noarch                     6.3-1.el7                            centos-openstack-train                     119 k
! }, d9 ?. D3 ~, Z0 Y  Y python-dns                                       noarch                     1.15.0-5.el7                         centos-openstack-train                     248 k) ?% W- P- W* [0 m4 ]- a' Q9 d
python-editor                                    noarch                     0.4-4.el7                            centos-openstack-train                      12 k
/ Q8 F' t3 t  a7 x* s python-jwcrypto                                  noarch                     0.4.2-1.el7                          base                                        57 k
# l" ~1 D) ^  {) L: A python-migrate                                   noarch                     0.11.0-1.el7                         centos-openstack-train                     228 k
6 A" Z8 B" v, c' X8 t2 x python-oslo-cache-lang                           noarch                     1.37.1-1.el7                         centos-openstack-train                      12 k9 ?5 t0 P# l( x( ]) N6 e) n
python-oslo-concurrency-lang                     noarch                     3.30.1-1.el7                         centos-openstack-train                     9.5 k
& N& [8 w$ g5 Q. v python-oslo-db-lang                              noarch                     5.0.2-2.el7                          centos-openstack-train                     9.0 k
) k0 D  q( h- k: J3 o' x! N9 x9 ` python-oslo-middleware-lang                      noarch                     3.38.1-2.el7                         centos-openstack-train                     7.8 k
% B$ o/ J" l( D  u# t& a* e python-oslo-policy-lang                          noarch                     2.3.4-1.el7                          centos-openstack-train                     7.9 k: b1 q% {; o8 j; S( V, C
python-paste-deploy                              noarch                     1.5.2-6.el7                          centos-openstack-train                      46 k
6 W3 n9 o3 p8 r. d$ e+ T( `0 u( N python-pycadf-common                             noarch                     2.10.0-2.el7                         centos-openstack-train                      10 k
9 U% c( j! \) V$ q7 B python-pyngus                                    noarch                     2.0.3-3.el7                          centos-openstack-train                      41 k
/ x5 X& S0 J  \* a python-sqlparse                                  noarch                     0.1.18-5.el7                         centos-openstack-train                      74 k
1 |7 P* \: u% t$ R python2-PyMySQL                                  noarch                     0.9.2-2.el7                          centos-openstack-train                      92 k: O% O& q9 E# P7 L. g
python2-alembic                                  noarch                     1.0.7-1.el7                          centos-openstack-train                     786 k
) y8 o8 ?7 U+ l% i python2-amqp                                     noarch                     2.4.1-1.el7                          centos-openstack-train                      90 k
+ D+ m6 G  L! t python2-cachetools                               noarch                     3.1.0-1.el7                          centos-openstack-train                      28 k
4 \4 y' o( s" M python2-crypto                                   x86_64                     2.6.1-15.el7                         extras                                     477 k' ]8 U3 f* x* }2 z( G& ?
python2-defusedxml                               noarch                     0.5.0-2.el7                          centos-openstack-train                      45 k9 d! Z; H6 x4 G' V/ v+ p
python2-eventlet                                 noarch                     0.25.1-1.el7                         centos-openstack-train                     322 k
2 S! \4 j# n3 ?5 G0 n" G; x python2-fasteners                                noarch                     0.14.1-6.el7                         centos-openstack-train                      38 k
7 @- h9 r& ]6 x1 y python2-flask                                    noarch                     1:1.0.2-1.el7                        centos-openstack-train                     152 k- E* T( p/ u% `: P# d
python2-flask-restful                            noarch                     0.3.6-7.el7                          centos-openstack-train                     117 k: p- X& j  n' v# p$ p" c2 }
python2-future                                   noarch                     0.16.0-4.el7                         centos-openstack-train                     798 k1 t# B4 S0 P) j3 D  C3 G2 b
python2-futurist                                 noarch                     1.9.0-2.el7                          centos-openstack-train                      59 k  S6 p6 H$ ~7 O
python2-greenlet                                 x86_64                     0.4.12-1.el7                         centos-openstack-train                      25 k
) U8 t* P" t  [) O9 ?1 M+ G! S python2-itsdangerous                             noarch                     0.24-14.el7                          centos-openstack-train                      25 k- u: i1 [. [2 T+ c' s7 X5 U
python2-jinja2                                   noarch                     2.10.1-1.el7                         centos-openstack-train                     251 k
  \8 B, A- S9 C2 C python2-keystone                                 noarch                     1:16.0.2-1.el7                       centos-openstack-train                     1.1 M
* m% k8 D2 K+ s python2-keystonemiddleware                       noarch                     7.0.1-2.el7                          centos-openstack-train                      88 k% Z! d/ u2 ]6 `5 ]0 F) M! C$ a4 ^
python2-kombu                                    noarch                     1:4.6.3-3.el7                        centos-openstack-train                     365 k& m' c4 m2 h4 m7 X
python2-ldap                                     x86_64                     3.1.0-1.el7                          centos-openstack-train                     217 k
; k1 N& m: m. @7 I% j7 ? python2-ldappool                                 noarch                     2.4.0-2.el7                          centos-openstack-train                      25 k
1 ^/ e) l8 ~: R& a. }5 W python2-oauthlib                                 noarch                     2.0.1-8.el7                          base                                       146 k
1 s9 s' `% ?  a, v/ b python2-oslo-cache                               noarch                     1.37.1-1.el7                         centos-openstack-train                      47 k7 }+ l9 i" X$ @, N6 L
python2-oslo-concurrency                         noarch                     3.30.1-1.el7                         centos-openstack-train                      36 k$ H9 ?' S3 B8 ]# w2 c6 n
python2-oslo-db                                  noarch                     5.0.2-2.el7                          centos-openstack-train                     145 k
. l& B/ e9 ~( H* A- A. ^ python2-oslo-messaging                           noarch                     10.2.4-1.el7                         centos-openstack-train                     221 k
8 C, W6 b' K9 p- p python2-oslo-middleware                          noarch                     3.38.1-2.el7                         centos-openstack-train                      49 k
6 Q9 Z, r+ G/ W5 @( z' [; q python2-oslo-policy                              noarch                     2.3.4-1.el7                          centos-openstack-train                      65 k, {4 ^7 G8 S3 H4 e7 }
python2-oslo-service                             noarch                     1.40.2-2.el7                         centos-openstack-train                      66 k
- s9 f  ]. I+ G+ r' D5 s python2-oslo-upgradecheck                        noarch                     0.3.2-1.el7                          centos-openstack-train                      18 k0 z; O# {* @) {# k, G: J- u
python2-osprofiler                               noarch                     2.8.2-1.el7                          centos-openstack-train                     125 k
" D8 u* L7 I1 q python2-passlib                                  noarch                     1.7.0-4.el7                          centos-openstack-train                     733 k4 w$ x) i5 m" m- ~# z& X: `
python2-pyasn1-modules                           noarch                     0.3.7-6.el7                          centos-openstack-train                     105 k6 @' A3 _. f" ]1 `) ?- h
python2-pycadf                                   noarch                     2.10.0-2.el7                         centos-openstack-train                      46 k/ O8 l2 E4 C; \( W4 C& S  _
python2-pysaml2                                  noarch                     4.6.5-1.el7                          centos-openstack-train                     542 k
- \( j$ [! F3 X7 E( g( J python2-qpid-proton                              x86_64                     0.26.0-2.el7                         centos-openstack-train                     217 k+ y! }0 _. {: \1 t$ ~8 S9 A
python2-scrypt                                   x86_64                     0.8.0-2.el7                          centos-openstack-train                      26 k, z+ h- P( j( f9 k. E1 e' j' |/ n
python2-sqlalchemy                               x86_64                     1.2.17-2.el7                         centos-openstack-train                     1.8 M  _$ S' w' l% I* Y* W
python2-statsd                                   noarch                     3.2.1-5.el7                          centos-openstack-train                      28 k
+ ]* \9 y+ k- W  i5 U1 @ python2-vine                                     noarch                     1.2.0-2.el7                          centos-openstack-train                      30 k6 a6 ^0 N: Y1 D% V
python2-yappi                                    x86_64                     1.0-1.el7                            centos-openstack-train                      39 k
* L1 ]$ L0 y% E: {( Z+ u qpid-proton-c                                    x86_64                     0.26.0-2.el7                         centos-openstack-train                     185 k
) Q" Y! @2 W4 S1 M0 s# K2 A9 d7 H' SUpdating for dependencies:
$ d6 G% D$ H# Y4 ^. H; j python-memcached                                 noarch                     1.58-1.el7                           centos-openstack-train                      38 k& {3 M: M& M) a' X6 s
python-routes                                    noarch                     2.4.1-1.el7                          centos-openstack-train                     191 k8 l8 |1 V- V  g$ f3 V& z
python2-pyasn1                                   noarch                     0.3.7-6.el7                          centos-openstack-train                     118 k
* z* t: p% O3 {$ i. k2 h
: S, Y9 W% |% G

# o( P; v% E+ H* [, ?0 N2 f  ATransaction Summary0 v) r+ {. [3 Y* [8 S5 z
===================================================================================================================================================================
/ k6 w6 U( `! t7 A: E  t! K3 SInstall  4 Packages (+58 Dependent packages)
. y  L6 Y3 `: d  YUpgrade             (  3 Dependent packages)
! W9 }5 B5 X" Z
1 z" B+ v9 R5 A$ g8 B  U

( o2 \' y1 u! m" ~6 Q7 y! v* m# RTotal download size: 11 M
: l4 v$ s/ H+ N# b% _( s* T  `Downloading packages:& I" m8 S( J# C. F& y: |4 p3 v
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.& v% _  u' R/ h7 H
(1/65): libtommath-0.42.0-6.el7.x86_64.rpm                                                                                                  |  36 kB  00:00:05     * c0 ^* @9 ^& e( V' l
(2/65): libtomcrypt-1.17-26.el7.x86_64.rpm                                                                                                  | 224 kB  00:00:05     
) }6 N$ C+ T4 Q9 t) |(3/65): python-aniso8601-0.82-3.el7.noarch.rpm                                                                                              |  31 kB  00:00:05     
. k% l0 L& y3 R/ z: p(4/65): openstack-keystone-16.0.2-1.el7.noarch.rpm                                                                                          |  78 kB  00:00:05     
: W  Y" r) d! |* j! t& o: i(5/65): python-click-6.3-1.el7.noarch.rpm                                                                                                   | 119 kB  00:00:00     ; R( h1 I& x2 o
(6/65): python-dns-1.15.0-5.el7.noarch.rpm                                                                                                  | 248 kB  00:00:00     
. W  H% X2 L* f+ ~# O( U0 u& y(7/65): python-jwcrypto-0.4.2-1.el7.noarch.rpm                                                                                              |  57 kB  00:00:00     
( c7 v" E1 B# k$ |(8/65): python-editor-0.4-4.el7.noarch.rpm                                                                                                  |  12 kB  00:00:00     
! l5 F- ], Y% H' l(9/65): python-memcached-1.58-1.el7.noarch.rpm                                                                                              |  38 kB  00:00:00     
" F& T8 l$ B. s; }(10/65): python-oslo-cache-lang-1.37.1-1.el7.noarch.rpm                                                                                     |  12 kB  00:00:00     1 y3 I. w. d+ B  f+ f% M2 }, z
(11/65): python-oslo-concurrency-lang-3.30.1-1.el7.noarch.rpm                                                                               | 9.5 kB  00:00:00     
8 l+ D! r/ W& O7 T( q(12/65): python-migrate-0.11.0-1.el7.noarch.rpm                                                                                             | 228 kB  00:00:00     / l$ r9 n7 H5 b6 P' W* ]$ [4 A
(13/65): python-oslo-middleware-lang-3.38.1-2.el7.noarch.rpm                                                                                | 7.8 kB  00:00:00     1 O' r3 d4 u' f  P' G; j, `2 m( i  h
(14/65): python-oslo-db-lang-5.0.2-2.el7.noarch.rpm                                                                                         | 9.0 kB  00:00:00     6 f. V/ \- c" C) Y
(15/65): python-oslo-policy-lang-2.3.4-1.el7.noarch.rpm                                                                                     | 7.9 kB  00:00:00     : R5 n1 P7 g, C: c' d
(16/65): python-paste-deploy-1.5.2-6.el7.noarch.rpm                                                                                         |  46 kB  00:00:00     ! c4 q/ Z7 Q' e' r* o, ?  i
(17/65): python-pycadf-common-2.10.0-2.el7.noarch.rpm                                                                                       |  10 kB  00:00:00     
8 d# D6 n2 Z* C% R+ s' P(18/65): python-pyngus-2.0.3-3.el7.noarch.rpm                                                                                               |  41 kB  00:00:00     8 Q' T9 {( E3 l( q$ m8 z% u* R* U
(19/65): python-sqlparse-0.1.18-5.el7.noarch.rpm                                                                                            |  74 kB  00:00:00     
! b* t3 h/ O: Z, l1 n" A(20/65): python-routes-2.4.1-1.el7.noarch.rpm                                                                                               | 191 kB  00:00:00     
5 G- f# q6 z/ H. h, I! W(21/65): python2-PyMySQL-0.9.2-2.el7.noarch.rpm                                                                                             |  92 kB  00:00:00     
5 z( T7 N( m+ D(22/65): python2-amqp-2.4.1-1.el7.noarch.rpm                                                                                                |  90 kB  00:00:00     + K$ ?& c4 P: ?
(23/65): python2-cachetools-3.1.0-1.el7.noarch.rpm                                                                                          |  28 kB  00:00:00     
2 d  m( r8 P( H2 B(24/65): python2-crypto-2.6.1-15.el7.x86_64.rpm                                                                                             | 477 kB  00:00:00     : f" o7 q3 p( D) o# h' j; f! E" l
(25/65): python2-defusedxml-0.5.0-2.el7.noarch.rpm                                                                                          |  45 kB  00:00:00     % j! g) O5 \# I$ I3 d
(26/65): python2-alembic-1.0.7-1.el7.noarch.rpm                                                                                             | 786 kB  00:00:00     
+ @2 k6 E/ n) j(27/65): python2-fasteners-0.14.1-6.el7.noarch.rpm                                                                                          |  38 kB  00:00:00     
$ g; y8 a) O; v) {/ {6 |4 j(28/65): python2-flask-1.0.2-1.el7.noarch.rpm                                                                                               | 152 kB  00:00:00     
3 j; f3 C. c( z1 ~(29/65): python2-eventlet-0.25.1-1.el7.noarch.rpm                                                                                           | 322 kB  00:00:00     
/ t. D$ k% S0 ^1 U, p5 z$ ]+ L(30/65): python2-flask-restful-0.3.6-7.el7.noarch.rpm                                                                                       | 117 kB  00:00:00     5 f5 \! x; t: S0 |* s& e
(31/65): python2-futurist-1.9.0-2.el7.noarch.rpm                                                                                            |  59 kB  00:00:00     
9 C* @5 D8 T4 w4 ?1 n# l(32/65): python2-future-0.16.0-4.el7.noarch.rpm                                                                                             | 798 kB  00:00:00     ; `5 n, z+ H7 }8 v/ G3 |; N4 j; c
(33/65): python2-greenlet-0.4.12-1.el7.x86_64.rpm                                                                                           |  25 kB  00:00:00     
  a0 ?$ b# L! X5 B3 [( p9 \(34/65): python2-itsdangerous-0.24-14.el7.noarch.rpm                                                                                        |  25 kB  00:00:00     
# p2 I# Y; ^# H9 N3 k' l/ J(35/65): python2-jwt-1.6.1-1.el7.noarch.rpm                                                                                                 |  37 kB  00:00:00     
- M! a2 z2 ?3 \5 K& I(36/65): python2-jinja2-2.10.1-1.el7.noarch.rpm                                                                                             | 251 kB  00:00:00     
3 r- y" a! t6 p) x( ], i/ ]8 \(37/65): python2-keystonemiddleware-7.0.1-2.el7.noarch.rpm                                                                                  |  88 kB  00:00:00     6 h9 H1 Q) }4 v' y1 \3 {
(38/65): python2-keystone-16.0.2-1.el7.noarch.rpm                                                                                           | 1.1 MB  00:00:00     
/ ^6 P* W4 H, _  V2 Y& e(39/65): python2-kombu-4.6.3-3.el7.noarch.rpm                                                                                               | 365 kB  00:00:00     , j" J. ~+ x! C8 c
(40/65): python2-ldap-3.1.0-1.el7.x86_64.rpm                                                                                                | 217 kB  00:00:00     
* Q. O" Q8 ~% |' y( {' v3 l8 Y(41/65): python2-ldappool-2.4.0-2.el7.noarch.rpm                                                                                            |  25 kB  00:00:00     8 G0 n# k# d5 v5 D
(42/65): python2-oauthlib-2.0.1-8.el7.noarch.rpm                                                                                            | 146 kB  00:00:00     
$ B0 |1 C" u- W! S) [$ G  q(43/65): python2-markupsafe-1.1.0-2.el7.x86_64.rpm                                                                                          |  29 kB  00:00:00     
. `4 M  [! W+ o: l(44/65): python2-oslo-cache-1.37.1-1.el7.noarch.rpm                                                                                         |  47 kB  00:00:00     
* `9 y% q) X, I- G3 e+ K$ W(45/65): python2-oslo-concurrency-3.30.1-1.el7.noarch.rpm                                                                                   |  36 kB  00:00:00     
" u7 T) [' h7 o(46/65): python2-oslo-db-5.0.2-2.el7.noarch.rpm                                                                                             | 145 kB  00:00:00     8 z; m4 g- _* ?1 J7 r' G
(47/65): python2-oslo-messaging-10.2.4-1.el7.noarch.rpm                                                                                     | 221 kB  00:00:00     
  x. H7 L# s* w(48/65): python2-oslo-middleware-3.38.1-2.el7.noarch.rpm                                                                                    |  49 kB  00:00:00     , \0 e9 a3 `- w5 }% j9 U& Z
(49/65): python2-oslo-policy-2.3.4-1.el7.noarch.rpm                                                                                         |  65 kB  00:00:00     
' R+ f' _. p. e2 Q+ G(50/65): python2-oslo-service-1.40.2-2.el7.noarch.rpm                                                                                       |  66 kB  00:00:00     
$ F, r' }( i" Y8 G( G9 u) S3 ?(51/65): python2-oslo-upgradecheck-0.3.2-1.el7.noarch.rpm                                                                                   |  18 kB  00:00:00     
6 y- Y7 p. E0 @, ~, o, T" C- F(52/65): python2-osprofiler-2.8.2-1.el7.noarch.rpm                                                                                          | 125 kB  00:00:00     & V2 n. b1 N. c/ n: `& |& K$ U
(53/65): python2-passlib-1.7.0-4.el7.noarch.rpm                                                                                             | 733 kB  00:00:00     
7 p8 H" M( F9 M/ H(54/65): python2-pyasn1-0.3.7-6.el7.noarch.rpm                                                                                              | 118 kB  00:00:00     ! i) a8 [  w0 a3 l; s+ t
(55/65): python2-pyasn1-modules-0.3.7-6.el7.noarch.rpm                                                                                      | 105 kB  00:00:00     4 i. p7 e' G% C/ H$ m: m8 j9 e
(56/65): python2-pycadf-2.10.0-2.el7.noarch.rpm                                                                                             |  46 kB  00:00:00     
( S" f/ F& |% H0 O8 ~4 \(57/65): python2-qpid-proton-0.26.0-2.el7.x86_64.rpm                                                                                        | 217 kB  00:00:00     
3 X! x7 A. A8 A! n# I8 |(58/65): python2-pysaml2-4.6.5-1.el7.noarch.rpm                                                                                             | 542 kB  00:00:00     
  j8 e) b- N% I* T' p# J: s  c(59/65): python2-scrypt-0.8.0-2.el7.x86_64.rpm                                                                                              |  26 kB  00:00:00     
7 s' w, Z2 |! M4 f+ @+ J5 A* ~- u(60/65): python2-statsd-3.2.1-5.el7.noarch.rpm                                                                                              |  28 kB  00:00:00     " D, m  h5 j, _' y% ]1 m! N
(61/65): python2-vine-1.2.0-2.el7.noarch.rpm                                                                                                |  30 kB  00:00:00     : u+ y. U/ @# E& e6 w
(62/65): python2-sqlalchemy-1.2.17-2.el7.x86_64.rpm                                                                                         | 1.8 MB  00:00:00     % j! ]4 N5 ^/ J4 z5 N. W; U
(63/65): python2-webob-1.8.5-1.el7.noarch.rpm                                                                                               | 246 kB  00:00:00     , g/ x5 Z' A# F0 l2 s3 N: q3 e3 c6 n+ I7 m
(64/65): python2-yappi-1.0-1.el7.x86_64.rpm                                                                                                 |  39 kB  00:00:00     , L2 I! ]& _5 e: y& R
(65/65): qpid-proton-c-0.26.0-2.el7.x86_64.rpm                                                                                              | 185 kB  00:00:00     
2 i$ W8 b, V4 W-------------------------------------------------------------------------------------------------------------------------------------------------------------------
! J% d4 Q9 ?4 f2 S6 p) c3 B; GTotal                                                                                                                              1.4 MB/s |  11 MB  00:00:08     
0 F+ F; U: T( vRunning transaction check( f( p2 E5 ]: E/ r
Running transaction test
% ^' D% a) W/ `: c7 U8 ^Transaction test succeeded
* b. F* p/ L2 b/ V7 J! c$ m5 mRunning transaction  e( Z* ^" U& Q
  Installing : python2-webob-1.8.5-1.el7.noarch                                                                                                               1/71
, Y: a" ~) A1 Q9 [  Installing : python2-sqlalchemy-1.2.17-2.el7.x86_64                                                                                                         2/71 , U1 o+ s/ F6 }5 V, c, V7 F
  Updating   : python-memcached-1.58-1.el7.noarch                                                                                                             3/71
0 ?0 @8 J* X. s. w9 x  Installing : python2-vine-1.2.0-2.el7.noarch                                                                                                                4/71 : c* O- @) \0 [; @7 |7 g6 W3 a
  Installing : python2-amqp-2.4.1-1.el7.noarch                                                                                                                5/71
6 `* O/ M, ^3 ^  Installing : qpid-proton-c-0.26.0-2.el7.x86_64                                                                                                              6/71 7 j; ?' \1 x* L7 }  N
  Installing : python2-greenlet-0.4.12-1.el7.x86_64                                                                                                           7/71 * ?3 t6 ]4 D' N6 l
  Updating   : python2-pyasn1-0.3.7-6.el7.noarch                                                                                                              8/71 ) N" Z4 h# `1 q. @
  Installing : python2-pyasn1-modules-0.3.7-6.el7.noarch                                                                                                      9/71
7 P+ [8 c9 J: r  Installing : python2-ldap-3.1.0-1.el7.x86_64                                                                                                               10/71
4 B& F, S1 R( Z& f; P# l# d6 |" `  Installing : python2-ldappool-2.4.0-2.el7.noarch                                                                                                           11/71 6 M) [4 W# ~: O. _6 A5 Z- m& y
  Installing : python2-qpid-proton-0.26.0-2.el7.x86_64                                                                                                       12/71 & f; b+ [. C, W' T, s
  Installing : python-pyngus-2.0.3-3.el7.noarch                                                                                                              13/71 ) H' N( e- q5 U  r3 j8 i
  Installing : 1:python2-kombu-4.6.3-3.el7.noarch                                                                                                            14/71
+ x, H2 Z& T6 q; A! J5 ?: t+ E0 s$ L6 O  Installing : python-oslo-concurrency-lang-3.30.1-1.el7.noarch                                                                                              15/71 5 o( }* \/ I9 j* h2 g8 a; X
  Installing : python-oslo-db-lang-5.0.2-2.el7.noarch                                                                                                        16/71
5 c. ^9 j2 c# W( ~9 Q  Installing : python2-oslo-upgradecheck-0.3.2-1.el7.noarch                                                                                                  17/71 * _- P2 }+ a7 N( _' m
  Installing : python2-defusedxml-0.5.0-2.el7.noarch                                                                                                         18/71 " I% u( p9 V% _* x
  Installing : python2-itsdangerous-0.24-14.el7.noarch                                                                                                       19/71
2 e0 f* V% q! ?! O$ l/ o, ]  Installing : python2-statsd-3.2.1-5.el7.noarch                                                                                                             20/71 1 K; b: e. e% s7 J+ S, r- Y; s
  Updating   : python-routes-2.4.1-1.el7.noarch                                                                                                              21/71 7 N$ i; _8 `, B+ H  @+ B- [& p
  Installing : python2-PyMySQL-0.9.2-2.el7.noarch                                                                                                            22/71 2 K7 ^; j. i, O6 _3 e0 @
  Installing : python-oslo-policy-lang-2.3.4-1.el7.noarch                                                                                                    23/71 5 k* B5 C- o' `+ Y7 P; s+ g
  Installing : python2-oslo-policy-2.3.4-1.el7.noarch                                                                                                        24/71 4 U+ N0 T9 Z$ f6 k# C
  Installing : python-aniso8601-0.82-3.el7.noarch                                                                                                            25/71
$ q$ K% y9 A$ [: K* }  Installing : python-jwcrypto-0.4.2-1.el7.noarch                                                                                                            26/71 6 L( a" l" x. {% g7 W
  Installing : python2-oauthlib-2.0.1-8.el7.noarch                                                                                                           27/71 6 _/ p* J9 w" L9 g2 t
  Installing : python2-scrypt-0.8.0-2.el7.x86_64                                                                                                             28/71 ( Q+ j0 C& ?/ ~' {) F+ t0 y* W
  Installing : libtommath-0.42.0-6.el7.x86_64                                                                                                                29/71   j2 @* Y; d$ I, f# K' j4 s- N
  Installing : libtomcrypt-1.17-26.el7.x86_64                                                                                                                30/71
  |* i8 Z/ k7 H4 @! }  Installing : python2-crypto-2.6.1-15.el7.x86_64                                                                                                            31/71 ' X3 l: G5 ~$ l; I
  Installing : python-dns-1.15.0-5.el7.noarch                                                                                                                32/71 ! P+ C6 T, b# v1 `% T
  Installing : python2-eventlet-0.25.1-1.el7.noarch                                                                                                          33/71 ( o7 i  x- n( X% |5 I; i$ H# D9 h
  Installing : python2-markupsafe-1.1.0-2.el7.x86_64                                                                                                         34/71 : b. }- P# m+ }, v/ P
  Installing : python2-jinja2-2.10.1-1.el7.noarch                                                                                                            35/71 ' \+ w# |% w  t& g5 e' u- l
  Installing : python-oslo-cache-lang-1.37.1-1.el7.noarch                                                                                                    36/71
) B" i% x) b5 G1 r1 M9 H0 S, x9 b  Installing : python2-oslo-cache-1.37.1-1.el7.noarch                                                                                                        37/71
* Y% |* K' U0 |/ c* _  Installing : python-editor-0.4-4.el7.noarch                                                                                                                38/71
6 E6 Q9 R2 i3 K9 m7 g1 J9 E1 j  Installing : python2-alembic-1.0.7-1.el7.noarch                                                                                                            39/71
9 @% S% T2 @8 ^- ~. X  Installing : python-paste-deploy-1.5.2-6.el7.noarch                                                                                                        40/71 ' P" x0 Q8 {) B
  Installing : python2-future-0.16.0-4.el7.noarch                                                                                                            41/71 " F' ]7 _, c/ l% Z1 v
  Installing : python2-pysaml2-4.6.5-1.el7.noarch                                                                                                            42/71
  v+ e  P6 P4 [! [6 z  Installing : python2-passlib-1.7.0-4.el7.noarch                                                                                                            43/71
% ]# C3 P( {; q) C* g1 A, U9 O4 G  Installing : python2-yappi-1.0-1.el7.x86_64                                                                                                                44/71 . [% |4 U, y( a* J* b& I
  Installing : python-oslo-middleware-lang-3.38.1-2.el7.noarch                                                                                               45/71
# o$ ?( w2 b7 ~; I1 J  Installing : python2-oslo-middleware-3.38.1-2.el7.noarch                                                                                                   46/71
2 B+ f; e1 o7 s% ?* p& z  Installing : python2-jwt-1.6.1-1.el7.noarch                                                                                                                47/71 # T. R5 h. S! Q
  Installing : python-click-6.3-1.el7.noarch                                                                                                                 48/71   ]' {3 t+ b- R
  Installing : 1:python2-flask-1.0.2-1.el7.noarch                                                                                                            49/71
+ ^' f* r/ Z  a) v& v  Installing : python2-flask-restful-0.3.6-7.el7.noarch                                                                                                      50/71 . |7 w9 w0 m6 y( T! X
  Installing : python-sqlparse-0.1.18-5.el7.noarch                                                                                                           51/71 / w* P9 I- ]8 O  j" a2 G
  Installing : python-migrate-0.11.0-1.el7.noarch                                                                                                            52/71
6 }1 N5 G# P, A3 r: J; [" W  Installing : python2-oslo-db-5.0.2-2.el7.noarch                                                                                                            53/71
2 `1 K- {' l4 z& d( [/ K- S  Installing : python2-cachetools-3.1.0-1.el7.noarch                                                                                                         54/71 " u$ k1 x5 ?0 [" c
  Installing : python2-fasteners-0.14.1-6.el7.noarch                                                                                                         55/71 " ^: @3 \% j9 [, a& ?+ I# _
  Installing : python2-oslo-concurrency-3.30.1-1.el7.noarch                                                                                                  56/71
% P% E) o7 w6 R9 i  Installing : python2-oslo-service-1.40.2-2.el7.noarch                                                                                                      57/71
% w7 S! q) p# p# B1 Z; {2 z  Installing : python-pycadf-common-2.10.0-2.el7.noarch                                                                                                      58/71
7 w' U" P5 Y8 k5 R) I  Installing : python2-pycadf-2.10.0-2.el7.noarch                                                                                                            59/71
* o; F+ S0 f3 `5 P" j+ M  Installing : python2-keystonemiddleware-7.0.1-2.el7.noarch                                                                                                 60/71 - W0 |2 L$ Q! X
  Installing : python2-futurist-1.9.0-2.el7.noarch                                                                                                           61/71
) Q% W4 |, x: s( z' d$ L* O  Installing : python2-oslo-messaging-10.2.4-1.el7.noarch                                                                                                    62/71
! `, C# z+ k; q! ]  Installing : python2-osprofiler-2.8.2-1.el7.noarch                                                                                                         63/71
- i4 c  F1 z6 D2 C  Installing : 1:python2-keystone-16.0.2-1.el7.noarch                                                                                                        64/71 9 r" y8 x5 ~1 I9 n) e2 [* s
  Installing : 1:openstack-keystone-16.0.2-1.el7.noarch                                                                                                      65/71
$ }$ s  I7 i9 L6 l  {2 k! m  Cleanup    : python-memcached-1.48-4.el7.noarch                                                                                                            66/71   }$ K# o/ y7 o* ?) {$ E
  Cleanup    : python-routes-1.13-2.el7.noarch                                                                                                               67/71 $ W1 Z; b5 K9 F" Z& d, D4 P" s
  Erasing    : python-jwt-1.5.3-1.el7.noarch                                                                                                                 68/71 - y2 l+ U5 n# M0 }! {
  Cleanup    : python2-pyasn1-0.1.9-7.el7.noarch                                                                                                             69/71 " j) Q1 h$ S, p% |, f2 q
  Erasing    : python-webob-1.2.3-7.el7.noarch                                                                                                               70/71 ' I! R& y( F8 W( c5 L4 L4 R. k* Z
  Erasing    : python-markupsafe-0.11-10.el7.x86_64                                                                                                          71/71
; F- G# `, c. ~; [* w. E9 b  Verifying  : python2-jinja2-2.10.1-1.el7.noarch                                                                                                             1/71
' E7 a, m/ H+ Y1 L  Verifying  : python2-amqp-2.4.1-1.el7.noarch                                                                                                                2/71
; m( B* N5 H; L, @. M+ `$ s! ^1 ]  Verifying  : python2-pycadf-2.10.0-2.el7.noarch                                                                                                             3/71 ( v# j4 {% ?! H
  Verifying  : python2-futurist-1.9.0-2.el7.noarch                                                                                                            4/71 ) `; i7 ^" [8 ?( @2 v1 C
  Verifying  : python-pycadf-common-2.10.0-2.el7.noarch                                                                                                       5/71 , i1 }% T+ P& a$ w* a2 X
  Verifying  : python2-webob-1.8.5-1.el7.noarch                                                                                                               6/71 0 {$ K! @# ?. D0 y# M. ]
  Verifying  : python2-fasteners-0.14.1-6.el7.noarch                                                                                                          7/71
4 |$ L; _* z8 J* e& q- w  Verifying  : python2-pyasn1-0.3.7-6.el7.noarch                                                                                                              8/71 ! q; {. r. r! S
  Verifying  : python2-cachetools-3.1.0-1.el7.noarch                                                                                                          9/71 7 z  s5 i( [7 p( a
  Verifying  : python2-oauthlib-2.0.1-8.el7.noarch                                                                                                           10/71
* O; N8 F1 K5 D  Verifying  : python-sqlparse-0.1.18-5.el7.noarch                                                                                                           11/71
% [0 L- Q8 p, V: X3 ]3 F2 s  Verifying  : python-click-6.3-1.el7.noarch                                                                                                                 12/71
- L4 ~% `4 x7 ~- S$ E+ T  Verifying  : python2-keystonemiddleware-7.0.1-2.el7.noarch                                                                                                 13/71 1 `6 \% A7 G% m
  Verifying  : python2-oslo-middleware-3.38.1-2.el7.noarch                                                                                                   14/71
5 C1 ~) R; q) b1 {- a  Verifying  : python2-jwt-1.6.1-1.el7.noarch                                                                                                                15/71 4 X+ m) r; m# G# X  p- M. K
  Verifying  : python2-greenlet-0.4.12-1.el7.x86_64                                                                                                          16/71 6 }: c7 o& D5 L: T, f
  Verifying  : python2-osprofiler-2.8.2-1.el7.noarch                                                                                                         17/71 9 V* D2 q, z5 C1 S% Z; A  c
  Verifying  : python-dns-1.15.0-5.el7.noarch                                                                                                                18/71 $ h! H$ O2 K0 X3 v* Z
  Verifying  : python2-sqlalchemy-1.2.17-2.el7.x86_64                                                                                                        19/71
' _, T. p' ~8 W9 m) E  Verifying  : python-oslo-middleware-lang-3.38.1-2.el7.noarch                                                                                               20/71
# y! V: ]: I# D" B4 y  Verifying  : python2-eventlet-0.25.1-1.el7.noarch                                                                                                          21/71 3 _: S- `) X7 l0 U$ m! C) T
  Verifying  : 1:python2-keystone-16.0.2-1.el7.noarch                                                                                                        22/71 * x9 e, w+ g9 W$ l; Z
  Verifying  : python2-oslo-policy-2.3.4-1.el7.noarch                                                                                                        23/71 $ x6 g5 b/ D  g
  Verifying  : python-pyngus-2.0.3-3.el7.noarch                                                                                                              24/71
) c4 q; }/ F2 |8 T, Y  Verifying  : python2-yappi-1.0-1.el7.x86_64                                                                                                                25/71
2 x) a; [. w- s, n: O  Verifying  : python2-passlib-1.7.0-4.el7.noarch                                                                                                            26/71
8 f3 W# C1 p- U/ ^; o4 q  Verifying  : python2-qpid-proton-0.26.0-2.el7.x86_64                                                                                                       27/71 ! O6 [- T  X/ k$ s6 k2 ]
  Verifying  : python2-future-0.16.0-4.el7.noarch                                                                                                            28/71
! r% e5 {  ?; A  Verifying  : python-paste-deploy-1.5.2-6.el7.noarch                                                                                                        29/71
  U& `+ o/ \0 C% a% S" ^9 s0 t$ p! d  Verifying  : python2-alembic-1.0.7-1.el7.noarch                                                                                                            30/71 : z6 q3 T) L6 x4 D7 H$ Q1 c
  Verifying  : python-editor-0.4-4.el7.noarch                                                                                                                31/71 & F* r. l0 H" m' I7 V
  Verifying  : python-oslo-cache-lang-1.37.1-1.el7.noarch                                                                                                    32/71
4 W6 `; U/ X0 w7 _- L  B* S/ H  Verifying  : qpid-proton-c-0.26.0-2.el7.x86_64                                                                                                             33/71
+ z  W; v# B8 f  d/ E  Verifying  : 1:openstack-keystone-16.0.2-1.el7.noarch                                                                                                      34/71
$ a! z' t  o9 G6 `7 t( p: X  Verifying  : python2-markupsafe-1.1.0-2.el7.x86_64                                                                                                         35/71 1 P" ?/ r3 D/ J. \% F; }& l
  Verifying  : python2-vine-1.2.0-2.el7.noarch                                                                                                               36/71 4 f1 I+ J8 K2 P$ v. K, o
  Verifying  : libtommath-0.42.0-6.el7.x86_64                                                                                                                37/71 ) m3 T$ B7 ^7 o% b7 V
  Verifying  : python2-pysaml2-4.6.5-1.el7.noarch                                                                                                            38/71
- u+ |3 i7 i( i: H( ^3 s  Verifying  : python2-oslo-cache-1.37.1-1.el7.noarch                                                                                                        39/71 ! C6 J4 U7 L+ I$ u7 C$ O( o
  Verifying  : python2-scrypt-0.8.0-2.el7.x86_64                                                                                                             40/71
* r' ?& z" b( P  Verifying  : 1:python2-flask-1.0.2-1.el7.noarch                                                                                                            41/71
1 a) Y* B) C( t5 ~$ N0 s9 O  Verifying  : python-jwcrypto-0.4.2-1.el7.noarch                                                                                                            42/71
9 u2 H- _. F1 A2 Y+ {" ?7 \  Verifying  : python-aniso8601-0.82-3.el7.noarch                                                                                                            43/71 4 s3 a% C: `* W& K2 `
  Verifying  : python2-pyasn1-modules-0.3.7-6.el7.noarch                                                                                                     44/71 5 Y1 R9 x, }, I/ ~0 t: F$ t+ ^
  Verifying  : python-migrate-0.11.0-1.el7.noarch                                                                                                            45/71
. D3 |6 J: i$ N  \4 q; f4 \7 D  Verifying  : python-oslo-policy-lang-2.3.4-1.el7.noarch                                                                                                    46/71
+ Y9 c0 n+ |7 e( Q. }" F  Verifying  : 1:python2-kombu-4.6.3-3.el7.noarch                                                                                                            47/71 % N" ^; r$ o2 p/ T- d) R! t0 `
  Verifying  : python2-ldappool-2.4.0-2.el7.noarch                                                                                                           48/71 . P# O, B" D6 O) f# `! c" Z
  Verifying  : python2-ldap-3.1.0-1.el7.x86_64                                                                                                               49/71 0 T! {. H. m) i8 ~3 e
  Verifying  : python2-PyMySQL-0.9.2-2.el7.noarch                                                                                                            50/71
2 `$ u4 S; b, o  Verifying  : python-routes-2.4.1-1.el7.noarch                                                                                                              51/71
! J9 R: {- h8 P  Verifying  : python2-statsd-3.2.1-5.el7.noarch                                                                                                             52/71
; V6 r- d( y4 S1 U( z0 w# N* G' n  Verifying  : python2-oslo-concurrency-3.30.1-1.el7.noarch                                                                                                  53/71
" E; K; w) f7 h& Y  |  Verifying  : python2-itsdangerous-0.24-14.el7.noarch                                                                                                       54/71 0 t5 @% y; e+ w, h( T9 R& e
  Verifying  : python2-crypto-2.6.1-15.el7.x86_64                                                                                                            55/71 " e; t$ x2 W" r7 ^4 |' u. X4 |: k
  Verifying  : python2-flask-restful-0.3.6-7.el7.noarch                                                                                                      56/71
( t* M5 C6 }; c! W( R  Verifying  : python2-oslo-service-1.40.2-2.el7.noarch                                                                                                      57/71 5 E% y7 J* ^5 E% a' v5 l
  Verifying  : python2-defusedxml-0.5.0-2.el7.noarch                                                                                                         58/71 6 s9 ~6 N, [" m, j8 C6 r! k
  Verifying  : python2-oslo-messaging-10.2.4-1.el7.noarch                                                                                                    59/71
  C7 y! _2 t7 ]  Verifying  : python2-oslo-upgradecheck-0.3.2-1.el7.noarch                                                                                                  60/71
% p7 D9 {$ V; y4 A, h7 }  ?  Verifying  : python-memcached-1.58-1.el7.noarch                                                                                                            61/71 . w% Q, H: m9 \% E- f+ u
  Verifying  : python2-oslo-db-5.0.2-2.el7.noarch                                                                                                            62/71
+ B9 h! h2 X. e) u/ D2 u: T  Verifying  : python-oslo-db-lang-5.0.2-2.el7.noarch                                                                                                        63/71 + T9 `8 P$ m$ T8 C% q5 p! c, r6 M
  Verifying  : libtomcrypt-1.17-26.el7.x86_64                                                                                                                64/71   \# [9 M! ]5 l. H( e, @* S# e2 `
  Verifying  : python-oslo-concurrency-lang-3.30.1-1.el7.noarch                                                                                              65/71 : V6 z  M* m! m1 d
  Verifying  : python-routes-1.13-2.el7.noarch                                                                                                               66/71 6 a; r+ N/ b& \! z0 a
  Verifying  : python2-pyasn1-0.1.9-7.el7.noarch                                                                                                             67/71
9 b7 [' F% L6 M7 B, y9 y  _7 I  Verifying  : python-markupsafe-0.11-10.el7.x86_64                                                                                                          68/71 ) `3 t4 X" _) \- ?
  Verifying  : python-jwt-1.5.3-1.el7.noarch                                                                                                                 69/71
) Z' c. u1 I/ R9 T3 m0 U& f  Verifying  : python-webob-1.2.3-7.el7.noarch                                                                                                               70/71 % V" i  H& J' i9 K
  Verifying  : python-memcached-1.48-4.el7.noarch                                                                                                            71/71 3 A9 u& i& t4 z8 `& V+ ]

% t9 G: f8 w, O$ z
& r! R. k+ X( Q
Installed:
  h+ a# M- t( @! |  openstack-keystone.noarch 1:16.0.2-1.el7    python2-jwt.noarch 0:1.6.1-1.el7    python2-markupsafe.x86_64 0:1.1.0-2.el7    python2-webob.noarch 0:1.8.5-1.el7   
+ ?1 p1 N. s$ u& A6 r' \
. _, C, x/ k1 U+ H( r. l; G

/ e! f1 O' c- f6 dDependency Installed:
- Y, Z/ Y: _+ S4 R( J& s  libtomcrypt.x86_64 0:1.17-26.el7                         libtommath.x86_64 0:0.42.0-6.el7               python-aniso8601.noarch 0:0.82-3.el7                  
% Y6 i% s' v3 i4 K  python-click.noarch 0:6.3-1.el7                          python-dns.noarch 0:1.15.0-5.el7               python-editor.noarch 0:0.4-4.el7                       ! ?5 F, H9 a4 K! f( P) M% T1 _
  python-jwcrypto.noarch 0:0.4.2-1.el7                     python-migrate.noarch 0:0.11.0-1.el7           python-oslo-cache-lang.noarch 0:1.37.1-1.el7           0 c! g  ^  a* A, U6 i
  python-oslo-concurrency-lang.noarch 0:3.30.1-1.el7       python-oslo-db-lang.noarch 0:5.0.2-2.el7       python-oslo-middleware-lang.noarch 0:3.38.1-2.el7      
  E; U+ y+ J9 {$ T) G5 ?8 z  python-oslo-policy-lang.noarch 0:2.3.4-1.el7             python-paste-deploy.noarch 0:1.5.2-6.el7       python-pycadf-common.noarch 0:2.10.0-2.el7             & ~$ \; k5 Q9 r+ r, u$ \
  python-pyngus.noarch 0:2.0.3-3.el7                       python-sqlparse.noarch 0:0.1.18-5.el7          python2-PyMySQL.noarch 0:0.9.2-2.el7                   ' \) M' D( \9 b# m
  python2-alembic.noarch 0:1.0.7-1.el7                     python2-amqp.noarch 0:2.4.1-1.el7              python2-cachetools.noarch 0:3.1.0-1.el7               
2 m6 a# X4 |- |/ ]6 i6 C  python2-crypto.x86_64 0:2.6.1-15.el7                     python2-defusedxml.noarch 0:0.5.0-2.el7        python2-eventlet.noarch 0:0.25.1-1.el7                 
' Y& }9 u0 V% ^1 A' I  python2-fasteners.noarch 0:0.14.1-6.el7                  python2-flask.noarch 1:1.0.2-1.el7             python2-flask-restful.noarch 0:0.3.6-7.el7            
4 p; k+ k6 o3 f5 {% a6 u: X+ C  python2-future.noarch 0:0.16.0-4.el7                     python2-futurist.noarch 0:1.9.0-2.el7          python2-greenlet.x86_64 0:0.4.12-1.el7                 
9 C! H& `/ k0 c' [+ I1 a: {  python2-itsdangerous.noarch 0:0.24-14.el7                python2-jinja2.noarch 0:2.10.1-1.el7           python2-keystone.noarch 1:16.0.2-1.el7                 
" }0 W; G9 w0 P2 r" f/ a  python2-keystonemiddleware.noarch 0:7.0.1-2.el7          python2-kombu.noarch 1:4.6.3-3.el7             python2-ldap.x86_64 0:3.1.0-1.el7                     
3 U" \. u9 E3 u  f1 G  p1 w/ k  python2-ldappool.noarch 0:2.4.0-2.el7                    python2-oauthlib.noarch 0:2.0.1-8.el7          python2-oslo-cache.noarch 0:1.37.1-1.el7               
, H( K0 B! o( c5 {# B# ~, X* |  python2-oslo-concurrency.noarch 0:3.30.1-1.el7           python2-oslo-db.noarch 0:5.0.2-2.el7           python2-oslo-messaging.noarch 0:10.2.4-1.el7           ; N1 T, y1 Q  a9 U' [- [
  python2-oslo-middleware.noarch 0:3.38.1-2.el7            python2-oslo-policy.noarch 0:2.3.4-1.el7       python2-oslo-service.noarch 0:1.40.2-2.el7             2 P4 s: L. b/ w. C
  python2-oslo-upgradecheck.noarch 0:0.3.2-1.el7           python2-osprofiler.noarch 0:2.8.2-1.el7        python2-passlib.noarch 0:1.7.0-4.el7                   1 B! k# k% m9 F1 b
  python2-pyasn1-modules.noarch 0:0.3.7-6.el7              python2-pycadf.noarch 0:2.10.0-2.el7           python2-pysaml2.noarch 0:4.6.5-1.el7                  
9 z2 E( X* s* R- |7 [/ I% `/ |& C  python2-qpid-proton.x86_64 0:0.26.0-2.el7                python2-scrypt.x86_64 0:0.8.0-2.el7            python2-sqlalchemy.x86_64 0:1.2.17-2.el7               + s9 r( ]6 U9 j6 @. K
  python2-statsd.noarch 0:3.2.1-5.el7                      python2-vine.noarch 0:1.2.0-2.el7              python2-yappi.x86_64 0:1.0-1.el7                       
% ~6 l, o4 v. s0 X4 h5 u( K  qpid-proton-c.x86_64 0:0.26.0-2.el7                     
5 H! j) F2 S; x) m3 ~. i5 H% a# [7 N: ]2 `
+ W" X% F: X( |  W2 R
Dependency Updated:
: a$ z$ m1 v, J% O  T7 d  python-memcached.noarch 0:1.58-1.el7                   python-routes.noarch 0:2.4.1-1.el7                   python2-pyasn1.noarch 0:0.3.7-6.el7                  
5 f- e" d, Q# B) W
+ u- x. i" j1 t7 j! F5 C

5 K* e9 |1 ]; F1 o2 r6 G. t5 Y" OReplaced:# Y# m+ ]. P. A' ?; q) E
  python-jwt.noarch 0:1.5.3-1.el7                    python-markupsafe.x86_64 0:0.11-10.el7                    python-webob.noarch 0:1.2.3-7.el7                   * {. C  D+ e0 l9 p$ T; t% D8 s

. V3 u) W$ ]. x; S, Y2 y+ g* X

5 b" q  ]+ E" ]6 O4 B7 RComplete!
- M, b% t  H" V5 U9 G2 Y% _9 \) }+ q2 O
& s/ C$ a4 R& L
$ p# g/ C- P! H
& x) d6 W3 N+ {8 e! c" W
安装完成问题解决了;;;;;& @5 g& G5 y  S+ g* g

/ m, k' w4 R7 l) {9 S
 楼主| 发表于 2021-12-17 18:50:59 | 显示全部楼层
环境
  • Red Hat Satellite 6.x
  • Registered RHEL 7.x host
    , o7 U& F9 v- p" ]5 X' {
问题
  • We are doing monthly patching of RHEL severs subscribed to RH Satellite server and yum update failed with an error:
    Raw* q9 V. Z. I7 J% I+ W
    Error: Package: python2-qpid-proton-0.28.0-1.el7.x86_64 (@org_Custom_EPEL-7_EPEL-7)       Requires: qpid-proton-c(x86-64) = 0.28.0-1.el7       Removing: qpid-proton-c-0.28.0-1.el7.x86_64 (@org_Custom_EPEL-7_EPEL-7)           qpid-proton-c(x86-64) = 0.28.0-1.el7       Updated By: qpid-proton-c-0.28.0-2.el7.x86_64 (rhel-7-server-satellite-tools-6.5-rpms)           qpid-proton-c(x86-64) = 0.28.0-2.el7       Available: qpid-proton-c-0.26.0-3.el7.x86_64 (rhel-7-server-satellite-tools-6.5-rpms)           qpid-proton-c(x86-64) = 0.26.0-3.el7
    6 e7 q0 U, @- X' |* m3 w( c
    - E/ n* Y7 g) c) v
决议In case katello agent is not needed:
  • Remove the agent from the system:
    Raw
    + z- Y% F9 l, F, k3 i" Z# yum remove gofer katello-agent. u$ v7 e  ^) ]+ u" E3 F

    ' A/ \  s& ^) j2 M& i9 W/ z  R
In case katello agent is still needed:
  • Remove qpid-proton-c package provided by EPEL repo:
    Raw3 Z$ O' |& w: x
    # yum remove qpid-proton-c 3 d( M4 ~5 I5 g6 R# l) a% t
  • Disable the EPEL repository.
  • Remove the EPEL repository from the Content View then publish and promote to its Lifecycle environment.
  • On the registered Host, execute below commands:
    Raw, f, T9 D# }/ h6 z; t. r
    # subscription-manager refresh# yum clean all# yum repolist                                <====== make sure that the EPEL repo is disabled
    , R! e/ x# l! \0 O, {) \
  • Reinstall katello-agent
    Raw
    / j; ~! f% N5 z# c# yum install katello-agent
    4 _6 D; ^3 F; U& P  d
  • Update the system
    Raw
    7 a7 w/ d9 ]% o1 x0 e$ n% k# yum -y update2 Z8 H( X, V2 s( A) J6 B9 M

    ; W, L1 Y4 N4 L, H4 ]* N
根源
  • Packages qpid-proton-c and python2-qpid-proton installed from EPEL repo causes dependency issue.
  • Need to re-install the packages from satellite-tools-6.x repository, or uninstall goferd and katello-agent packages that depend on the versions of the conflicting packages shipped from satellite-tools-6.x repository.; m9 S( L% `7 G2 C& V9 v
 楼主| 发表于 2021-12-17 18:51:16 | 显示全部楼层
环境
4 }% d- E% Y9 D0 oRed Hat Satellite 6.x$ C: U# P1 q6 m" K
Registered RHEL 7.x host  E  X( O7 s% v  |" \
问题" ]1 g# o3 n3 N( P3 @( y; L* b# ^! o! p
We are doing monthly patching of RHEL severs subscribed to RH Satellite server and yum update failed with an error:1 U( [9 Q6 h5 m5 x8 H. y

2 ^/ u5 ^# @; H  R$ b% C) aRaw5 W+ o; U4 Q% J! x, B# H
Error: Package: python2-qpid-proton-0.28.0-1.el7.x86_64 (@org_Custom_EPEL-7_EPEL-7)
1 C. k6 S) p% V0 V+ V) t  N# C  \       Requires: qpid-proton-c(x86-64) = 0.28.0-1.el7
: h+ G. Z  f/ S/ O2 h       Removing: qpid-proton-c-0.28.0-1.el7.x86_64 (@org_Custom_EPEL-7_EPEL-7)& D+ r  `* X1 [( o( \) D+ j
           qpid-proton-c(x86-64) = 0.28.0-1.el74 k7 p# t+ W, [+ |
       Updated By: qpid-proton-c-0.28.0-2.el7.x86_64 (rhel-7-server-satellite-tools-6.5-rpms)
! ]# Y& Y  \5 k. J2 l& q  f( ~           qpid-proton-c(x86-64) = 0.28.0-2.el7
6 m0 v$ ~! J& w% ]4 B       Available: qpid-proton-c-0.26.0-3.el7.x86_64 (rhel-7-server-satellite-tools-6.5-rpms)) r* o' f. y' [5 v
           qpid-proton-c(x86-64) = 0.26.0-3.el7
/ y1 q( b3 _7 i. f/ i& p" Z' [决议
2 N7 X5 J2 `$ p6 g8 R- Z4 qIn case katello agent is not needed:5 G  l- {9 F- f2 \* U+ K, ?; |
Remove the agent from the system:  c0 i9 K$ r' Y) w  N
9 G, ?. A# N1 w
Raw/ j1 S5 i, s7 ~, W% N
# yum remove gofer katello-agent
* U. @3 K% T% m7 w/ F: O  c) {In case katello agent is still needed:
$ S9 @* H. j& }8 D) u0 h. u' vRemove qpid-proton-c package provided by EPEL repo:9 t# E5 T- z; L5 {2 V* n5 K
' `8 s4 h8 @7 O6 W( w- u6 ]
Raw
, E" o: ]  F0 v0 m2 ~) _( c$ e8 d# yum remove qpid-proton-c ; d1 l/ v# P! u% O; {
Disable the EPEL repository.
, M. y& o6 x$ s0 e0 ^8 ~, i7 V$ I' D, w0 l
Remove the EPEL repository from the Content View then publish and promote to its Lifecycle environment.3 B- C) }2 L' C  S+ ?
: `; O6 Q* W/ h6 @+ G! x! B
On the registered Host, execute below commands:" l/ X8 s8 B% f/ v- `, Q
7 A- i2 A' C3 O$ Z$ j
Raw4 K" h. n9 @' N9 Y6 h
# subscription-manager refresh
& V6 u, d+ k2 ~# yum clean all& U; u$ v5 x( N
# yum repolist                                <====== make sure that the EPEL repo is disabled9 j  `* ?0 r( a& c$ }
Reinstall katello-agent
" S+ v3 I2 i$ c3 f, L
2 Y8 I- Z* j$ n2 R/ M. ]$ bRaw2 P" M3 B! i2 y! h0 x6 ?
# yum install katello-agent" P' H: ^1 p/ _# c$ v; D5 F3 C
Update the system4 ~% H8 z+ a6 ]; T& a+ S

: ^) r- C- D7 F& B% a( w  ~' JRaw  L8 c" C. i+ V( m( U
# yum -y update
- P9 B- n% A* L- E: `/ u, y根源
& ^' Z) J8 p# M! B  EPackages qpid-proton-c and python2-qpid-proton installed from EPEL repo causes dependency issue.) @5 R" g2 a7 l, s
Need to re-install the packages from satellite-tools-6.x repository, or uninstall goferd and katello-agent packages that depend on the versions of the conflicting packages shipped from satellite-tools-6.x repository.
您需要登录后才可以回帖 登录 | 开始注册

本版积分规则

关闭

站长推荐上一条 /4 下一条

如有购买积分卡请联系497906712

QQ|返回首页|Archiver|手机版|小黑屋|易陆发现 点击这里给我发消息

GMT+8, 2022-1-22 13:50 , Processed in 0.086356 second(s), 22 queries .

Powered by LR.LINUX.cloud bbs168x X3.2 Licensed

© 2012-2022 Comsenz Inc.

快速回复 返回顶部 返回列表